MPlayer(1)

NAME
mplayer - Movie Player
mencoder - Movie Encoder

SYNOPSIS
mplayer [Optionen] [ Datei | URL | Playlist | - ]
mplayer
[globale Optionen] Datei1 [spezielle Optionen] [Datei2] [spezielle Optionen]
mplayer
[globale Optionen] {Liste von Dateien und Optionen} [Liste von Dateien und Optionen]
mplayer
dvd://[Titel | [Starttitel]-Endtitel ] [Optionen]
mplayer
vcd://Titel[/Gerät]
mplayer
tv://[Kanal] [Optionen]
mplayer
dvb://[Kartennummer@]Kanal [Optionen]
mplayer
mf://Dateimaske [-mf Optionen] [Optionen]
mplayer
[cdda|cddb]://Titel[:Geschwindigkeit][/Gerät] [Optionen]
mplayer
cue://Datei[:Titel] [Optionen]
mplayer
[mms[t]|http|http_proxy|rt[s]p|ftp]:// [Benutzer:Passwort@]URL[:Port] [Optionen]
mplayer
sdp://Datei [Optionen]
mplayer
mpst://Rechnername[:Port]/URL [Optionen]
gmplayer [Optionen] [-skin skin]
mencoder [Optionen] [ Datei | URL | - ] [-o Datei]

BESCHREIBUNG
mplayer ist ein Movie-Player für Linux (der auch auf vielen anderen Unixen und nicht-x86-CPUs läuft, siehe Dokumentation). Er spielt die meisten Dateien in den Formaten MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM und RoQ ab, unterstützt von vielen eingebauten und binären Codecs. Es können VideoCDs, SuperVCDs, DVDs, 3ivx-, DivX 3/4/5- und sogar WMV-Filme angeschaut werden.

MPlayer unterstützt eine große Auswahl an Ausgabetreibern X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB sowie GGI, SDL (und damit alle von SDL unterstützen Treiber), VESA (mit jeder VESA-kompatiblen Grafikkarte, auch ohne X11), einige Kartenspezifischen Low-Level-Treiber (für Matrox, 3Dfx und ATI) und einige Hardware-MPEG-Decoderkarten wie sie Siemens DVB, DXR2 und DXR3/Hollywood+ benutzen. Die meisten von ihnen unterstützen Software- oder Hardwareskalierung, so dass die Vollbildwiedergabe kein Problem ist.

MPlayer verfügt über ein On-Screen-Display (OSD) für Statusinformationen, schöne, große, schattierte und kantengeglättete Untertitel und visuelles Feedback bei Tastatureingaben. Europäische/ISO 8859-1,2 (Ungarisch, Englisch, Tschechisch etc), Kyrillische und Koreanische Schriftarten werden ebenso wie zwölf Untertitelformate (MicroDVD, SubRip, OGM, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub, PJS und unser eigenes: MPsub) unterstützt, ebenso wie DVD-Untertitel (SPU-Streams, VOBsub und Closed Captions).

mencoder (MPlayer's Movie Encoder) ist ein einfacher Movie-Encoder, der so entworfen wurde, dass er alle von MPlayer abspielbaren Filme (siehe oben) in andere von MPlayer abspielbare Formate (siehe unten) umwandeln kann. Er encodiert nach MPEG-4 (DivX/XviD), jeden der libavcodec-Codecs und Audio nach PCM/MP3/VBR-MP3, das ganze in 1, 2 oder 3 Durchgängen. Weiterhin kann er Streams kopieren und verfügt über ein mächtiges Filter-System (Entfernen (cropping) und Hinzufügen (expanding) von Rändern, horizontales Spiegeln, Postprocessing (Nachbearbeitung), Rotation, Skalierung, Rauschunterdrückung (denoising), RGB/YUV-Konvertierung und mehr).

gmplayer ist die Bezeichnung für MPlayer mit einem graphischen Benutzerinterface. Er verfügt über die gleichen Optionen wie MPlayer.

Beispiele zum Gebrauch, die Dir zu einem schnellen Start verhelfen, findest Du am Ende dieser Manpage.

Siehe auch die HTML-Dokumentation!

TASTATURSTEUERUNG
MPlayer besitzt eine Kontrollfunktion, die befehlsgesteuert ist und sich komplett konfigurieren lässt. Die Steuerung geschieht mittels Tastatur, Maus, Joystick oder Fernbedienung (funktionierende LIRC-Unterstützung vorausgesetzt). Bei der Option -input findest du Beschreibungen, wie man diese Funktionen anpassen kann.

Allgemeine Kontrolle
    Springe 10 Sekunden zurück/vor. Springe 1 Minute zurück/vor. Springe 10 Minuten zurück/vor. Verringert/erhöht die Abspielgeschwindigkeit um 10%. Halbiert/verdoppelt die Abspielgeschwindigkeit. Setzt die Abspielgeschwindigkeit zurück. zurückvor in der Playlist nächster/voriger Eintrag des Wiedergabebaums der aktuellen Liste nächste/vorige alternative Quelle (nur bei ASX-Playlists) Wiedergabe pausieren (jede Taste unterbricht die Pause). Einen Schritt vorwärts. Einmaliges Drücken pausiert die Wiedergabe, jedes weitere wird einen Frame abspielen und die Wiedergabe erneut anhalten (jede andere Taste hebt die Pause auf). Beendet die Wiedergabe und MPlayer. Passt die Audioverzögerung um +/- 0.1 Sekunde an. Erhöht/verringert die Lautstärke. Erhöht/verringert die Lautstärke. Ändert Ton-Stummschaltung (ein/aus). Ändert Vollbild-Wiedergabe (ein/aus). Ändert Stay-on-top-Eigenschaft (ein/aus). Verringert/erhöht den Panscan-Bereich. Wechselt zwischen OSD-Anzeigen: keine / Suche / Suche+Zeit / Suche+Zeit+Gesamtzeit. Wechselt zwischen verschiedenen Framedropping-Einstellungen: keine / überspringe Display / überspringe Decodierung (siehe -framedrop und -hardframedrop). Ändert Sichtbarkeit der Untertitel (aus/ein). Wechselt durch die verfügbaren Untertitel.
F   Ändert die Anzeige der "erzwungenen Untertitel". Ändert die Positionierung der Untertitel: oben/mitte/unten. Passt die Untertitel-Anzeige um +/- 0.1 Sekunde an. Bewegt die Untertitel nach oben/unten. Setze EDL-Markierung.

(Die folgenden Eingaben funktionieren nur in Verbindung mit hardware-beschleunigter Videoausgabe (xv, (x)vidix, (x)mga, etc) oder dem Software Equalizer-Filter (-vf eq oder -vf eq2).

Passe Kontrast an. Passe Helligkeit an. Passe Farbton an. Passe Sättigung an.

(Die folgenden Tasten sind nur gültig bei Benutzung des Quartz-Videoausgabetreibers.)

Ändere die Größe des Abspielfensters auf die Hälfte der Originalgröße. Ändere die Größe des Abspielfensters auf die Originalgröße. Ändere die Größe des Abspielfensters auf das doppelte der Originalgröße. Aktiviere/deaktiviere Vollbildwiedergabe (siehe auch -fs). Setze Alphawert des Abspielfensters. Ändere den Video-Layer: immer ganz oben/ganz unten/normal (siehe auch -ontop).

GUI Tastatursteuerung
    Startet Wiedergabe. Beendet Wiedergabe. Datei laden. Skinbrowser. Anzeige der Playlist an/aus.

TV Input-Steuerung
    Wählt vorigen/nächsten Kanal. Ändert Norm (PAL/NTSC). Ändert die Anzeige der Liste der Kanäle.

ZUM UMGANG MIT MPLAYER
Jede Option 'flag' kennt ein Gegenstück, 'noflag'. Beispielsweise ist '-nofs' das Gegenstück zu '-fs'.

Wenn eine Option als (nur XXX)-markiert ist, wird diese nur in Kombination mit der XXX-Option funktionieren oder wenn XXX einkompiliert ist.

Du kannst jede Option in einer Konfigurationsdatei speichern, die bei jedem Start von MPlayer gelesen wird. Die systemweite Konfigurationsdatei 'mplayer.conf' liegt in deinem Konfigurationsverzeichnis (z.B. /etc/mplayer oder /usr/local/etc/mplayer). Die benutzerspezifische Datei liegt in '~/.mplayer/config'. Benutzerspezifische Einstellungen haben Vorrang vor den systemweiten, und Optionen auf der Kommandozeile überschreiben die beiden anderen. Die Syntax der Konfigurationsdateien lautet 'option=<wert>'. Alles, was nach einem '#' kommt, wird als Kommentar verstanden und nicht ausgewertet. Optionen, die keine Werte benötigen, können aktiviert werden, wenn du ihnen den Wert 'yes' oder '1' oder 'true' zuweist. Deaktiviert werden sie mit 'no' oder '0'. Selbst Suboptionen können in dieser Art angegeben werden.

BEISPIEL:
# Benutze standardmäßig den Matrox-Treiber
vo=xmga
# Ich stehe darauf, beim Zusehen einen Handstand zu machen.
flip=yes
# Decodiere/encodiere mehrere Dateien im PNG-Format,
# beginne mit mf://Dateimaske.
mf=type=png:fps=25
# Unheimliche Negativbilder sind cool.
vf=eq2=1.0:-0.8

Du kannst auch dateispezifische Konfigurationsdateien schreiben. Wenn du für einen Film namens 'movie.avi' eine Konfigurationsdatei schreiben möchtest, dann nenne diese Datei 'movie.avi.conf', stecke dort alle nur für diesen Film relevanten Optionen rein und speichere die Datei in ~/.mplayer oder im gleichen Verzeichnis wie 'movie.avi'.

ALLGEMEINE OPTIONEN

-codecs-file <Dateiname> (siehe auch -afm, -ac, -vfm, -vc)
    Benutze die angegebene Datei anstelle der systemweit installierten oder der eingebauten codecs.conf.

-include <Konfigurationsdatei>
    Gib eine Konfigurationsdatei an, die nach der Standardkonfigurationsdateien eingelesen werden soll.

-quiet
    Konsolenausgaben werden weniger ausführlich; im Besonderen wird damit die Statuszeile (z.B. A: 0.7 V: 0.6 A-V: 0.068 ...) nicht angezeigt. Besonders nützlich ist dies bei langsamen Terminals oder fehlerhaften, die Zeilenvorschübe nicht richtig verarbeiten (z.B. \r).

-v, -verbose
    macht Ausgaben ausführlicher (mehrere -v erzeugen höhere Ausführlichkeit). nur einige Informationsausgaben (standard) einige Debug-Informationen, avi-Header, Funktionswerte (init-Debug) gibt AVI-Indizes, Dateiblock-Inputs und weitere Debug-Informationen aus (Player-Debug) gibt alles aus, was mit dem Input-Parser zu tun hat (Parser-Debug)

PLAYER-SPEZIFISCHE OPTIONEN (NUR FÜR MPLAYER)

-autoq <Qualität> (zusammen mit -vf [s]pp)
    Ändert dynamisch das Qualitätslevel des Postprocessings, je nachdem, wieviel CPU-Zeit gerade frei ist. Das angegebene Level ist das maximal verwendete Level. Normalerweise kanns du eine große Nummer wählen. Um dieses Feature zu benutzen, muss -vf [s]pp ohne Parameter aufgerufen werden.

-autosync <Faktor>
    Ändert schrittweise die A/V-Synchronisation basierend auf den Messungen der Audioverzögerung. Mit -autosync 0, dem Standardwert, wird das Bildtiming nur auf der gemessenen Audioverzögerung basieren. Mit -autosync 1 wird der A/V-Sync-Algorithmus leicht verändert. Bei einem Film mit nicht gleichbleibender Framerate, der mit -nosound problemlos abgespielt wird, kann -autosync mit einem Wert größer 1 helfen. Je höher der Wert gewählt wird, desto mehr ähnelt das Verhalten dem von -nosound. -autosync 30 kann bei Probleme helfen, die bei Audiotreibern entstehen, die keine perfekt funktionierende Messung der Audioverzögerung zulassen. Mit diesem Wert dauert es nur eine oder zwei Sekunden, bis A/V-Sync wieder ok ist, wenn große A/V-Synch-Unterschiede auftreten. Diese Verzögerung bei der Reaktion auf abrupte A/V-Sync-Änderungen sollte der einzige Nebeneffekt dieser Option sein, bei allen Sound-Treibern.

-benchmark
    Gibt am Ende einige Statistiken über die CPU-Auslastung und ausgelassene Frames aus. Zusammen mit -nosound und -vo null kann es benutzt werden, um den Videocodec einem Geschwindigkeitstest zu unterziehen.
    ANMERKUNG: Bei dieser Option ignoriert MPlayer die Abspieldauer eines Frames, wenn nur Video abgespielt wird (das kannst Du Dir als unendlich hohe Frame-Rate (fps) vorstellen).

-colorkey <Nummer>
    Ändert den Farbwert auf einen RGB-Wert deiner Wahl. 0x000000 ist schwarz und ist weiß. Wird nur von folgenden Videoausgabetreibern unterstützt: cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix und xover.

-nocolorkey
    Schaltet die Wahl des Farbwertes ab. Wird nur von folgenden Videoausgabetreibern unterstützt: cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix und xover.

-crash-debug (DEBUG-CODE)
    Hängt bei einem Absturz oder SIGTRAP automatisch gdb an. Unterstützung hierfür muß einkompiliert sein durch Ausführung von 'configure' mit --enable-crash-debug oder Vorhandensein einer .developer-Datei im Source-Tree.

-edl <Dateiname> (nur bei EDL)
    Aktiviert EDL-Aktionen (Edit Decision List) während der Wiedergabe. Teile des Videos werden entsprechend den Einträgen der angegebenen Datei übersprungen und Teile des Audios stummgeschaltet. Siehe DOCS/de/documentation.html#edl, dort stehen Details, wie du dieses Feature benutzen kannst.

-edlout <Dateiname> (nur bei EDL)
    Erstellt eine neue EDL-Datei und schreibt EDL-Markierungen in diese Datei. Während der Wiedergabe kann der Benutzer 'i' drücken, und ein Eintrag, um an der aktuellen Position zwei Sekunden des Video zu überspringen, wird in die Datei geschrieben. Damit erhält der Benutzer eine Ausgangsbasis, die er an seine Bedürfnisse anpassen kann. Siehe DOCS/de/documentation.html#edl, dort stehen Details, wie du dieses Feature benutzen kannst.

-enqueue (nur beim GUI)
    Hänge die auf der Kommandozeile angegebenen Dateien an die Playlist an, anstatt sie sofort abzuspielen.

-fixed-vo (BETA-CODE!)
    Erzwingt dasselbe Videosystem für mehrere Dateien (einmalige Initialisierung für alle Dateien). Dementsprechend wird für alle Dateien nur ein Fenster geöffnet. Momentan funktionieren die folgenden Treiber mit -fixed-vo: gl, gl2, mga, svga, x11, xmga, xv, xvidix und dfbmga.

-framedrop (siehe auch -hardframedrop)
    Verwirft einige Frames, ohne sie anzuzeigen, um auf langsamen Systemen die A/V-Syncronisation beizubehalten. Diese Frames werden dann auch nicht durch die Videofilter geschleust. B-Frames werden ebenfalls nicht dekodiert und Videofilter nicht benutzt.

-h, -help, --help
    Zeigt eine kurze Zusammenfassung der Optionen an.

-hardframedrop
    Noch rabiateres Verwerfen von Frames (verhindert evtl. korrektes Decodieren). Führt zu Bildstörungen!

-identify
    Zeigt Dateiparameter in einem einfach einzulesenden Format an. Das Script TOOLS/midentify unterdrückt die anderen Ausgaben von MPlayer und führt (hoffentlich) Shell-Escaping für die Dateinamen aus.

-input <Kommandos>
    Diese Option kann benutzt werden, um bestimmte Teile von MPlayers Eingabesystem zu konfigurieren. Pfadangaben sind zu ~/.mplayer/ relativ.
    ANMERKUNG: Automatische Wiederholung wird momentan nur von Joysticks unterstützt.

    Die verfügbaren Kommandos lauten:

    Gib eine andere Konfigurationsdatei als die Standarddatei ~/.mplayer/input.conf an. Wenn kein Pfadname angegeben wird, dann wird ~/.mplayer/<Dateiname> angenommen. Zeit in Millisekunden, bevor ein Tastendruck automatisch wiederholt wird (0 dekativiert dies). Anzahl der Tastendrücke pro Sekunde bei automatisch wiederholten Tastendrücken (0 dekativiert dies). Zeigt alle Tastennamen an, die mit Kommandos belegt werden können. Zeigt alle Kommandos an, die zugewiesen werden können. Gibt das zu benutzende Joystickgerät an (Standard: /dev/input/js0). Liest Kommandos aus der angegeben Datei. Ist mit einem FIFO am sinnvollsten.
    ANMERKUNG: Falls die angegebene Datei ein FIFO ist, öffnet MPlayer beide Enden, so daß mehrere 'echo "seek 10" > mp_pipe' ausgeführt werden können und die Pipe in Ordnung bleibt.

-lircconf <Dateiname> (nur bei LIRC)
    Gibt eine Konfigurationsdatei für LIRC an (Standard: ~/.lircrc).

-list-options
    Gibt alle verfügbaren Optionen aus.

-loop <Anzahl>
    Wiederholt die Wiedgabe <Anzahl> mal. 0 bedeutet ständige Wiederholung.

-menu (nur bei OSD)
    Aktiviert das OSD-Menü.

-menu-cfg <Dateiname> (nur bei OSD)
    Benutzt eine andere menu.conf.

-menu-root <Wert> (nur bei OSD)
    Gibt das Hauptmenü an.

-menu-startup (nur bei OSD)
    Zeigt das Hauptmenü beim Start von MPlayer.

-noconsolecontrols
    Standardinput (stdin) wird anstelle von Tastatureingaben verwendet. Wenn du /dev/stdin (oder das Äquivalent auf deinem System) öffnest, stdin in einer Playlist öffnest, oder vorhast, irgendwann später von stdin via loadfile oder loadlist Slave-Kommandos zu lesen, dann brauchst du diese Option. Die Option -idx ist in diesem Falle nicht verfügbar.

-nojoystick
    Schaltet die Joystickunterstützung aus.

-nolirc
    Schaltet Unterstützung für LIRC aus.

-nomouseinput (nur bei X11)
    Sperrt die Eingabe mittels Mausbuttons (Buttonpress/-release), diese Option wird unter anderem von mozplayerxp verwendet, um ein eigenes Kontextmenü anzuzeigen.

-nortc (nur bei RTC)
    Deaktiviert die Benutzung der Echtzeituhr (real-time clock, RTC, /dev/rtc) zum Timing.

-playlist <Dateiname>
    Spielt die in der Datei angegebenen Dateien ab (eine Datei pro Zeile, oder eine Datei im Winamp- oder ASX-Format).
    Anmerkung: Diese Option wird als Eintrag gesehen, so daß alle Optionen danach nur auf die Elemente dieser Playlist angewendet werden.
    FIXME: Dies muß noch genauer angegeben und dokumentiert werden.

-really-quiet
    Zeigt noch weniger Statusmeldungen an als mit -quiet.

-rtc-device <Gerät>
    Benutze das angegebene Gerät als Echtzeituhr.

-shuffle
    Spielt die Dateien in zufälliger Reihenfolge ab.

-skin <Verzeichnisname> (nur beim GUI)
    Lädt eine Oberfläche (skin) aus dem Verzeichnis, das sich in einem der beiden Standardoberflächenverzeichnisse /usr/local/share/mplayer/Skin/ und ~/.mplayer/Skin/.

    BEISPIEL: Probiert zuerst /usr/local/share/mplayer/Skin/fittyfene und anschließend ~/.mplayer/Skin/fittyfene.

-slave (siehe auch -input)
    Diese Option aktiviert den Slave-Modus, der dazu gedacht ist, MPlayer von anderen Programmen aus zu steuern. Anstatt selber Tastatureingaben auszuwerten, liest MPlayer einfache Kommandos von stdin.
    ANMERKUNG: Siehe DOCS/tech/slave.txt (Englisch) und -input cmdlist für eine Liste der Befehle.

-softsleep
    Benutzt hochqualitative Softwaretimer, die genauso präzise wie die Echtzeituhr (RTC) sind, ohne dafür root-Privilegien zu benötigen. Der Preis dafür ist eine höhere CPU-Auslastung.

-speed <0.01-100>
    Erhöht oder verringert die Abspielgeschwindigkeit abhängig vom angegebenen Faktor.

-sstep <Sekunden>
    Zeigt einen Frame alle <Sekunden> Sekunden. Für Slideshows nützlich.

DEMUXER-/STREAM-OPTIONEN

-a52drc <Level>
    Gibt die Höhe der Dynamic Range Compression für den AC3 Audio Stream an. <Level> ist ein Fließkommawert im Bereich von 0 bis 1, wobei 0 keine Kompression und 1 (der Standardwert) volle Kompression bedeutet (laute Passagen werden leiser und umgekehrt). Diese Option zeigt nur Wirkung, wenn im AC3 Stream die Range Compression Information vorhanden ist.

-aid <ID> (siehe auch -alang)
    Gibt die zu verwendende Audiospur an (MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127 VOB(AC3): 128-159 VOB(LPCM): 160-191 MPEG-TS: 17-8190). MPlayer gibt alle verwendbaren IDs aus, wenn er im Verbose-Modus (-v) gestartet wird. Beim Abspielen eines MPEG-TS-Streams wählt MPlayer/MEncoder das erste Programm (falls vorhanden) mit der gewählten Audiospur.

-alang <Sprachcode> (siehe auch -aid)
    Spielt denjenigen Audiostream, der dem angegebenen Sprachcode entspricht. Verschiedene Containerformate verwenden unterschiedliche Ländercodes. DVDs benutzen den zweibuchstabigen ISO 639-1 Sprachcode, Matroska und NUT benutzen den dreibuchstabigen ISO 639-2 Sprachcode, während OGM einen beliebigen Bezeichner verwendet. MPlayer gibt eine Liste aller vorhandenen Sprachen aus, wenn er im Verbose-Modus (-v) gestartet wird.

    BEISPIEL: Wählt die ungarische Sprachspur einer DVD und wählt die Englische, wenn ungarisch nicht verfügbar ist. Spielt eine Matroskadatei auf japanisch ab.

-audio-demuxer <Nummer> (nur mit -audiofile)
    Erzwingt den Audiodemuxertyp für -audiofile. Gib die Demuxer-ID an wie in libmpdemux/demuxer.h definiert. -audio-demuxer 17 erzwingt das Abspielen als MP3.

-audiofile <Dateiname>
    Spielt Audio aus einer externen Datei (WAV, MP3 oder Ogg Vorbis) zu einem Film ab.

-audiofile-cache <kByte>
    Aktiviert das Cachen des von -audiofile benutzten Streams; benutzt dafür die angegebene Menge Speicher.

-bandwidth <Wert> (nur im Netzwerk)
    Gibt die maximal zu benutzende Bandbreite für Netzwerkstreaming an (bei Servern, die Streams in verschiedenen Bitraten senden können). Nützlich, wenn du Live-Streams über eine langsame Verbindung ansehen möchtest.

-cdrom-device <Pfad zum Gerät>
    Gibt das CD-ROM-Gerät an (Standard: /dev/cdrom).

-cache <kbytes>
    Diese Option gibt an, wieviel Speicher (in kBytes) MPlayer zum Precachen einer Datei oder URL benutzt. Besonders bei langsamen Medien sinnvoll.

-cache-min <Prozent>
    Die Wiedergabe startet, wenn der Cache bis zu diesem Grenzwert gefüllt ist.

-cache-prefill <Prozent> (noch nicht implementiert)
    Wenn der Cache leer ist, wird MPlayer pausieren und die Wiedergabe erst dann fortsetzen, wenn der Wert für die Auffüllung des Caches erreicht ist, die mit dieser Option gesetzt wird.

-cdda <Option1:Option2> (nur bei CDDA)
    Diese Option kann benutzt werden, um die CD-Audio-Auslesefeatures von MPlayer zu verfeinern. sp 1 Vorhandene Optionen sind diese: Setzt die CD-Umdrehungsgeschwindigkeit. Setzt den Paranoia-Wert. 0: deaktiviert Fehlererkennung
    1: nur Überlappungstest (Standard)
    2: komplette Datenkorrektur und -überprüfung Benutzt das angegebene generische SCSI-Gerät. Setzt die atomare Lesegröße. Erzwingt eine minimal zu durchsuchende Überlappung bei der Datenüberprüfung von <Wert> Sektoren. Nimm an, dass der Startoffset von Spur 1, wie er in der TOC steht, als LBA 0 adressiert wird. Einige Toshiba-Laufwerke benötigen diese Option, um die Spurgrenzen richtig zu erkennen. Addiere <Wert> Sektoren zu den ermittelten Werten bei der Adressierung der Spuren. Kann negativ sein. Akzeptiere (niemals) nicht perfekte Datenrekonstruktion.

-channels <Anzahl>
    Ändere die Anzahl der wiederzugebenden Kanäle (Standard: 2). Wenn die Anzahl der Ausgabekanäle größer als die Anzahl der Eingangskanäle ist, dann werden leere Kanäle erzeugt (es sei denn, es wird von Mono zu Stereo erweitert - dann wird der Mono-Kanal auf beiden Kanälen wiederholt). Wenn die Anzahl der Eingangskanäle größer als die Anzahl der Ausgabekanäle ist, dann hängt das Ergebnis vom Audiodecoder (-afm) ab. MPlayer weist den Decoder an, den Ton in so viele Kanäle zu decodieren, wie angegeben wurde. Jetzt liegt es am Decoder, diese Anforderung zu erfüllen. Wenn der Decoder mehr Kanäle als angefordert ausgibt, so werden die überschüssigen Kanäle abgeschnitten. Das ist normalerweise nur dann wichtig, wenn Videos mit AC3-Audio abgespielt werden (wie z.B. DVDs). In diesem Fall decodiert normalerweise die liba52 den Ton und sorgt für einen korrekten Downmix des Audios auf die geforderte Anzahl von Kanälen.
    ANMERKUNG:
    Diese Option wird von den Codecs (nur AC3), den Filtern (Surround) und den ao-Treibern (zumindest von OSS) beachtet. Verfügbare Optionen sind: Stereo Surround volles 5.1

-chapter <Kapitel-ID>[-<Kapitel-ID des letzten Kapitels>] (nur bei DVD)
    Gibt das Kapitel an, ab dem abgespielt werden soll. Optional kann angegeben werden, nach welchem Kapitel mit dem Abspielen aufgehört werden soll (Standard: 1). Unten stehen Beispiele.

-cookies (nur im Netzwerk)
    Sende Cookies bei HTTP-Anfragen.

-cookies-file <Dateiname) (nur im Netzwerk)
    Lies HTTP-Cookies aus dieser Datei und überspringe die Suche in den Standardverzeichnissen ~/.mozilla/ und ~/.netscape/. Es wird angenommen, dass die Datei im Netscape-Format vorliegt.

-demuxer <Nummer>
    Erzwingt den Demuxertyp. Gib die Demuxer-ID an wie in libmpdemux/demuxer.h definiert. -demuxer 17 erzwingt das Abspielen als MP3.

-dumpaudio (nur MPlayer)
    Schreibt den unbehandelten, komprimierten Audiostream nach ./stream.dump (mit MPEG/AC3 nützlich).

-dumpfile <Dateiname> (nur MPlayer)
    Gibt den Dateinamen an, in den MPlayer schreiben soll. Sollte in Verbindung mit -dumpaudio / -dumpvideo / -dumpstream benutzt werden.

-dumpstream (nur MPlayer)
    Schreibt den unbehandelten Stream nach ./stream.dump. Nützlich, um DVD- oder Netzwerk-Streams zu rippen.

-dumpvideo (nur MPlayer)
    Schreibt den unbehandelten, komprimierten Videostream nach ./stream.dump (nicht sehr nützlich).

-dvbin <Optionen> (nur bei DVB)
    Übergibt die folgenden Parameter an das DVB-Inputmodul und überschreibt dabei die Standardeinstellungen: Benutze Karte 1-4 (Standard: 1). Weist MPlayer an, die Liste der Kanäle aus <Datei> zu lesen (Standard: ~/.mplayer/channels.conf.{sat,ter,cbl} (je nach Kartentyp) oder ~/.mplayer/channels.conf als letzte Möglichkeit).

-dvd-device <Pfad zum Gerät> (nur bei DVD)
    Gibt das DVD-Gerät an (Standard: /dev/dvd). Du kannst auch ein Verzeichnis angeben, das die zuvor direkt von DVD kopierten Dateien enthält (so wie mit vobcopy). Merke, dass die Benutzung von -dumpstream normalerweise ein besserer Weg ist, DVD-Titel zu kopieren (siehe Beispiele).

-dvdangle <Winkel-ID> (nur bei DVD)
    Einige DVDs beinhalten Szenen, die aus verschiedenen Perspektiven/Winkeln betrachtet werden können. Mit dieser Option kannst du MPlayer sagen, welche Perspektive er wiedergeben soll (Standard: 1).

-forceidx
    Erzwingt Indexgenerierung. Nützlich für Dateien mit defektem Index (A/V-Desynchronisation etc.). Das ermöglicht das Spulen in Dateien, in denen dies vorher nicht möglich war. Mit MEncoder kann der Index permanent repariert werden (siehe Dokumentation).
    ANMERKUNG: Diese Option funktioniert nur, wenn das zugrunde liegende Medium Spulen unterstützt (z.B. nicht bei Standardeingabe, Pipe usw.)

-fps <Fließkommazahl>
    Überschreibt die Videobildrate. Nützlich, falls dieser Wert falsch ist oder im Header fehlt.

-frames <Anzahl>
    Nur die ersten <Anzahl> Bilder werden wiedergegeben/encodiert. Beendet sich danach.

-hr-mp3-seek (nur bei .MP3)
    Hi-res mp3-Spulen. Standardmäßig ist diese Option an, wenn ein externes MP3 abgespielt wird, da MPlayer an die exakte Position spulen muss, um die A/V-Sync zu erhalten. Kann langsam sein, vor allem dann, wenn zurückgespult wird, da dann erst zum Anfang gespult wird, um die genaue Stelle zu finden.

-idx (siehe auch -forceidx)
    Erstellt den Index neu, wenn bei einem AVI kein Index gefunden wurde, und ermöglicht somit Spulen. Nützlich bei defekten/unvollständigen Downloads oder bei schlecht erstellten Dateien.
    ANMERKUNG: Diese Option ist nur nutzbar, wenn das zugrundeliegende Medium spulen unterstützt (z.B. nicht bei Standardeingabe, Pipe usw.)

-ipv4-only-proxy (nur bei Netzwerk)
    Überspringt Proxy-Server bei IPv6-Adressen. Für IPv4-Verbindungen wird er aber benutzt.

-mc <Sekunden/Bild>
    Maximale A/V-Sync-Anpassung pro Bild (in Sekunden).

-mf <option1:option2:...>
    Wird benutzt, wenn mehrere PNG- oder JPEG-Dateien decodiert werden.

    Die verfügbaren Optionen lauten:

    Ausgabebreite (automatische Erkennung) Ausgabehöhe (automatische Erkennung) Frames pro Sekunde bei der Ausgabe (Standard: 25) Typ der Quelldateien (mögliche Typen sind jpeg, png, tga, sgi)

-ni (nur bei .AVI)
    Erzwingt die Benutzung des nicht-interleaved-AVI-Parsers (was die Wiedergabe einiger schlecht erstellter AVIs ermöglicht).

-nobps (nur bei .AVI)
    Benutze nicht die durchschnittlichen Bytes/Sekunde für A-V-Sync (AVI). Hilft bei einigen AVIs mit defektem Header.

-noextbased
    Deaktiviert die auf Dateinamenserweiterungen basierende Demultiplexerauswahl. Wenn der Dateityp (und damit der Demultiplexer) nicht zweifelsfrei festgestellt werden kann (z.B. wenn die Datei keinen Dateikopf besitzt oder dieser nicht eindeutig genug ist), dann wird normalerweise ein Demultiplexer anhand der Dateiendung gewählt. Die inhaltsbasierende Demultiplexerauswahl wird immer vorgenommen.

-passwd <Passwort> (siehe auch -user) (nur bei Netzwerk)
    Gibt das Passwort für die HTTP-Authentifizierung an.

-prefer-ipv4 (nur bei Netzwerk)
    Benutzt IPv4 bei Netzwerkverbindungen. Greift automatisch auf IPv6-Verbindungen zurück.

-prefer-ipv6 (nur bei IPv6-Netzwerk)
    Benutzt IPv6 bei Netzwerkverbindungen. Greift automatisch auf IPv4-Verbindungen zurück.

-rawaudio <option1:option2:...>
    Mit dieser Option können raw-Audiodateien abgespielt werden. Sie kann auch verwendet werden, um Audio-CDs abzuspielen, die nicht mit 44KHz 16Bit stereo aufgenommen wurden. Zum Abspielen von RAW-AC3-Streams benutze -rawaudio on:format=0x2000.

    Verfügbare Optionen:

    benutzt den nur-Audio-Demuxer Anzahl der Kanäle Rate in Samples pro Sekunde Sample-Größe in Byte FourCC in Hexadezimal

-rawvideo <option1:option2:...>
    Mit dieser Option kannst du Dateien abspielen, die nur aus Videodaten bestehen.

    Die verfügbaren Optionen lauten:

    benutze den nur-Video-Demuxer Anzahl der Bilder pro Sekunde, Standardwert: 25.0 setzt die Standardbildgröße Bildbreite in Pixeln Bildhöhe in Pixeln wählt den Farbraum gibt die FourCC des Farbraums in Hex an Bildgröße in Bytes

-rtsp-stream-over-tcp (nur bei live.com)
    Kann zusammen mit 'rtsp://'-URLs verwendet werden, um anzugeben, dass die daraus resultierenden eingehenden RTP- und RTCP-Pakete per TCP übertragen werden (mit der gleichen TCP-Verbindung wie RTSP). Diese Option kann hilfreich sein, wenn deine Internetverbindung eingehende UDP-Pakete nicht durchlässt (siehe http://www.live.com/mplayer/).

-saveidx <Dateiname>
    Erzwingt Neugenerierung des Index und schreibt den Index in <Dateiname>. Funktioniert momentan nur mit AVI-Dateien.
    ANMERKUNG: Diese Option ist veraltet, da MPlayer nun OpenDML unterstützt.

-sb <Byte-Position> (siehe auch -ss)
    Springt an die Byte-Position. Nützlich beim Abspielen von CD-ROM-Abbildern / .VOB-Dateien mit Schrott am Anfang.

-srate <Hz>
    Erzwingt eine Audioabspielrate, wobei bei Bedarf ein Resampling stattfindet. Der Resampling-Typ kann mit der Option -af-adv gesteuert werden. Standard ist ein schnelles Resampling, das Störungen verursachen kann. MEncoder übergibt diesen Wert an lame für das Resampling.

-ss <Zeit> (siehe auch -sb)
    Springt zu der angegebenen Zeitposition.

    BEISPIELE: Springt zu 56 Sekunden. Springt zu 1 Stunde 10 Minuten.

-tskeepbroken
    Sorgt dafür, daß MPlayer solche TS-Pakete, die als unbrauchbar markiert wurden, nicht ignoriert. Diese Option wird manchmal gebraucht, um korrupte MPEG-TS-Dateien abzuspielen.

-tsprobe <Byte-Position>
    Beim Abspielen eines MPEG-TS-Streams kannst du mit dieser Option auswählen, wie viele Bytes MPlayer nach den gewünschten Program-IDs durchsuchen soll.

-tsprog <1-65534>
    Beim Abspielen eines MPEG-TS-Streams kann mit dieser Option ausgewählt werden, welches Programm (falls vorhanden) abgespielt werden soll. Kann in Verbindung mit -vid und -aid benutzt werden.

-tv <Option1:Option2:...> (nur bei TV)
    Diese Option steuert verschiedene Einstellungen des TV-Empfang-Moduls. Um mit MPlayer fernzusehen, benutze die Optionen 'tv://' oder 'tv://<Kanalnummer>' oder sogar 'tv://Kanalname' (siehe unten die Option 'channels' für die Kanalnamen) als Film-URL.

    Verfügbare Optionen: kein Sound mögliche Werte: dummy, v4l, v4l2, bsdbt848 Gibt ein anderes Videogerät als /dev/video0 an. Gibt einen anderen Eingang als den Standardeingang 0 (Television) an (such in der Ausgabe nach einer Liste) Gibt die Frequenz an, auf die der Tuner gesetzt wird (z.B. 511.250). Kann nicht zusammen mit 'channels' benutzt werden. Gibt das Ausgabeformat des Tuners mit einer Voreinstellung des V4L-Treibers (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) oder ein frei wählbares Format als hexadezimalen Wert an. Breite des Ausgabefensters Höhe des Ausgabefensters Bildanzahl, mit der Video aufgenommen wird (Bilder pro Sekunde, frames per second). Maximalgröße des Capture-Puffers in Megabytes (standardmäßig: dynamische Größe) Für bsdbt848 and v4l sind die Normen PAL, SECAM und NTSC verfügbar. Für v4l2, siehe Option normid und die Ausgabe von MPlayer für eine Liste der verfügbaren TV-Normen. Setzt die TV-Norm auf die angegebene ID. Die TV-Norm hängt von der Videokarte ab. Siehe MPlayer-Output für eine Liste der verfügbaren TV-Normen. Setzt den Tuner auf Kanal <Wert>. Werte: europe-east, europe-west, us-bcast, us-cable, etc Setzt Namen für Kanäle. Benutze '_' anstelle von Leerzeichen bei Namen (oder spiel mit der Shellquotierung rum ;-). Die Sendernamen werden dann per OSD angezeigt, und die Slave-Kommandos tv_step_channel, tv_set_channel und tv_last_channel werden per Fernbedienung benutzbar sein (siehe LIRC). Kann nicht zusammen mit dem frequency-Parameter benutzt werden.
    ANMERKUNG: Die Sendernummer wird dann die Position des Eintrags in der 'channels'-Liste sein, wobei der erste Eintrag die 1 bekommt.
    BEISPIEL: tv://1, tv://TV1, tv_set_channel 1, tv_set_channel TV1 Setzt Werte des Bild-Equaliziers der Karte. Setzt die Audiobitrate für's Capturen. Capture auch dann Audio, wenn v4l keine Audioquellen zurückmeldet. Benutze ALSA zum Capturen. Wählt einen Audiomodus: 0: mono
    1: stereo
    2: Sprache 1
    3: Sprache 2 Normalerweise wird die Anzahl der aufgenommenen Audiokanäle automatisch durch Ermitteln des Audiomodus der TV-Karte festgelegt. Mit dieser Option kann Mono/Stereo unabhängig von dem von V4L zurückgegebenen Audiomodus erzwungen werden. Kann benutzt werden, wenn die TV-Karte den aktuellen Audiomodus nicht zurückgeben kann. Setzt das Audiogerät. <Wert> sollte /dev/xxx bei OSS und eine Hardware-ID bei ALSA sein. Siehe Dokumentation von -ao alsa für Informationen darüber, wie die Hardware-ID angegeben wird. Wählt einen Audioausgang der TV-Karte, wenn diese mehrere hat. Diese Optionen setzen Parameter des Mixers auf der Capture-Karte. Sie haben keinen Effekt, wenn deine Karte keinen Mixer hat. Bei V4L2 geht der gültige Bereich von 0 bis 100, und 50 steht für den vom Treiber angegebenen Default-Wert. Ein Wert von 0 bedeutet: Nimm Audio und Video zusammen in einem Puffer auf (Standardwert für MEncoder). Ein Wert von 1 bedeutet: Nimm nur Video direkt von der Karte und Audio über ein externes Kabel von der TV-Karte zur Soundkarte auf (Standardwert für MPlayer). Benutzte Hardware-MJPEG-Kompression (wenn dies die Karte unterstützt). Bei dieser Option mußt du Breite und Höhe des Ausgabefensters nicht angeben, denn MPlayer ermittelt diese Werte automatisch vom Dezimierungswert (siehe unten). Wählt die Bildgröße für die Hardware-MJPEG-Kompression: 1: volle Größe
        704x576 PAL
        704x480 NTSC
    2: mittlere Größe
        352x288 PAL
        352x240 NTSC
    4: kleine Größe
        176x144 PAL
        176x120 NTSC Wählt die Qualität der JPEG-Kompression. (< 60 für volle Größe empfohlen)

-user <Benutzername> (siehe auch -passwd) (nur bei Netzwerk)
    Gibt den Benutzernamen für die HTTP-Authentifizierung an.

-user-agent <Zeichenkette>
    Benutze Zeichenkette als User-Agent beim HTTP-Streaming.

-vid <ID>
    Wählt die Videospur (MPG: 0-15 ASF: 0-255 MPEG-TS: 17-8190). Beim Abspielen von MPEG-TS-Streams benutzt MPlayer/MEncoder das erste Programm (falls vorhanden) mit dem gewählten Video-Stream.

-vivo <sub-Optionen> (DEBUG-CODE)
    Erzwingt Audioparameter für den VIVO-Demuxer (nur für Debugging-Zwecke).

OSD-/UNTERTITEL-OPTIONEN
ANMERKUNG: Siehe auch -vf expand.

-dumpjacosub (nur bei MPlayer)
    Konvertiert die mit der -sub-Option angegebenen Untertitel in das zeitbasierende JACOsub-Format. Erstellt eine Datei dumpsub.js im aktuellen Verzeichnis.

-dumpmicrodvdsub (nur bei MPlayer)
    Konvertiert die mit der -sub-Option angegebenen Untertitel in das MicroDVD-Format. Erstellt eine Datei dumpsub.sub im aktuellen Verzeichnis.

-dumpmpsub (nur bei MPlayer)
    Konvertiert die mit der -sub-Option angegebenen Untertitel in das MPlayer-Format MPsub. Erstellt eine Datei dump.mpsub im aktuellen Verzeichnis.

-dumpsami (MPlayer only)
    Konvertiert die mit der -sub-Option angegebenen Untertitel in das zeitbasierende SAMI-Format. Erstellt eine Datei dumpsub.smi im aktuellen Verzeichnis.

-dumpsrtsub (nur bei MPlayer)
    Konvertiert die mit der -sub-Option angegebenen Untertitel in das zeitbasierende SubViewer-Format (SRT). Erstellt eine Datei dumpsub.srt im aktuellen Verzeichnis.

-dumpsub (nur bei MPlayer) (BETA-CODE)
    Speichert den Untertitel-Substream eines VOB-Streams. Siehe auch -dump*sub und -vobsubout*.

-ffactor <Nummer> (nur bei OSD)
    Resamplet die Alpha-Matrix der Schrift. Mögliche Werte: komplett weiße Schrift sehr dünner schwarzer Umriss (Standard) dünner schwarzer Umriss dicker schwarzer Umriss

-flip-hebrew (nur bei FriBiDi)
    Schaltet horizontales Spiegeln der Untertitel ein. Benutzt dazu FriBiDi.

-noflip-hebrew-commas
    Ändere die Annahmen von FriBiDi über die Positionierung von Kommata in Untertiteln. Benutze dies, falls Kommata in Untertiteln am Anfang eines Satzes anstatt am Ende angezeigt werden.

-font <Pfad zur font.desc-Datei> (nur bei OSD)
    Sucht nach den OSD-/Untertitelschriften in einem anderen Verzeichnis (Standard für normale Schriften: ~/.mplayer/font/font.desc, Standard für FreeType-Schriften: ~/.mplayer/subfont.ttf).
    ANMERKUNG: Bei FreeType gibt diese Option den Pfad zur Textschriftdatei an. Bei fontconfig gibt diese Option den fontconfig-Schriftnamen an.

    BEISPIELE: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf
    -font 'Bitstream Vera Sans'

-fontconfig (nur bei fontconfig)
    Ermöglicht die Benutzung von Schriften, die von fontconfig verwaltet werden.

-forcedsubsonly
    Nur "erzwungene" DVD-Untertitel in der z.B. mit -slang gewähten Sprache darstellen.

-fribidi-charset <Zeichensatzname> (nur bei FriBiDi)
    Gibt den Zeichensatz an, der an FriBiDi übergeben wird, wenn Untertitel dekodiert werden, die nicht im UTF8-Format sind (Standard: ISO8859-8).

-ifo <VOBsub IFO-Datei>
    Gibt die Datei an, aus der MPlayer die Palette und die Framegröße für VOBsub-Untertitel lädt.

-noautosub
    Deaktiviert das automatische Laden von Untertiteln.

-osdlevel <0-3> (nur bei MPlayer)
    Gibt den Modus an, in dem das OSD startet: nur Untertitel Lautstärkeleiste und Positionsanzeige (Standard) Lautstärkeleiste, Positionsanzeige und prozentuale Dateiposition Lautstärkeleiste, Positionsanzeige, prozentuale Dateiposition und Gesamtzeit

-overlapsub
    Erlaubt die Anzeige des nächsten Untertitels, während der aktuelle noch sichtbar ist. Standard ist, diese Unterstützung nur bei bestimmten Formaten zu aktivieren.

-sid <id> (siehe auch -slang)
    Zeigt die DVD-Untertitel an, die durch <ID> (0-31) angegeben sind. Eine Liste der verfügbaren Untertitel erhältst du bei der Verwendung der Option -v.

-slang <Ländercode[,Ländercode,...]> (siehe auch -sid)
    Gibt eine Prioritätenliste von DVD-Untertiteln an, die benutzt werden sollen. Sprachen müssen als zweibuchstabige Ländercodes angegeben werden. Eine Liste der verfügbaren Untertitel erhältst du bei der Verwendung der Option -v.

    BEISPIEL: Wählt ungarische Untertitel und verwendet die englischen Untertitel, wenn es keine ungarischen gibt.

-spuaa <Modus> (nur bei OSD)
    Antialiasing-/Skalierungsmodus für DVD/VOBsub. Ein Wert von 16 kann zu <Modus> hinzuaddiert werden, um die Skalierung auch dann zu erzwingen, wenn das Orignalbild und das skalierte Bild bereits die gleiche Größe haben, um z.B. auch dann die Untertitel mit einem Gaußschen Unschärfefilter zu glätten. Die verfügbaren Modi lauten: nix (am schnellsten, sehr hässlich) Approximation (kaputt?) komplett (langsam) bilinear (Standard, schnell und nicht zu übel) benutzt Gaußsche Unschärfe des Softwareskalierers (sieht sehr gut aus)

-spualign <-1-2> (nur bei OSD)
    Gibt an, wie SPU-Untertitel (DVD/VOBsub) positioniert werden sollen. Originalposition oben positionieren (Standard) mittig positionieren unten positionieren

-spugauss <0.0-3.0> (nur bei OSD)
    Varianzparameter des Gaußschen Weichzeichners bei Benutzung von -spuaa 4. Höhere Werte stehen für stärkere Weichzeichnung (Standard: 1.0).

-sub <Untertiteldatei1, Untertiteldatei2,...>
    Diese Untertitel werden benutzt/angezeigt. Nur ein Untertitel kann zu einer Zeit angezeigt werden.

-sub-bg-alpha <0-255>
    Gibt an, wie transparent der Alphakanal bei Untertiteln und dem OSD ist. Große Werte bedeuten mehr Transparenz. Der Wert 0 ist eine Ausnahme und bedeutet 'vollständig transparent'.

-sub-bg-color <0-255>
    Gibt den Farbwert für Untertitel und den OSD-Hintergrund an. Momentan werden Untertitel nur in Graustufen dargestellt, so dass dieser Wert äquivalent zur Farbintensität ist. Der Wert 255 steht für weiß und 0 für schwarz.

-sub-demuxer <Nummer> (nur mit -subfile-Option) (BETA CODE)
    Erzwinge Untertitel-Demuxertyp für -subfile. Gib die Demuxer ID wie in subreader.h definiert an.

-sub-fuzziness <Modus>
    Passe die Unschärfe für die Suche nach Untertiteln an: exakter Treffer Lade alle Untertitel, die den Filmnamen enthalten Lade alle Untertitel im aktuellen Verzeichnis

-sub-no-text-pp
    Deaktiviert Text-Postprocessing jeder Art nach dem Laden der Untertitel. Wird für Debugging-Zwecke verwendet.

-subalign <0-2> (nur bei OSD)
    Gibt an, wie die Untertitel mit -subpos positioniert werden sollen. Positioniere oben (Standard). Positioniere mittig. Positioniere unten.

-subcc
    Zeigt DVD-Closed-Caption-Untertitel an (CC). Diese sind KEINE VOB-Untertitel. Hierbei handelt es sich um spezielle ASCII-Untertitel für Hörgeschädigte, die in VOB-Userdatenstreams auf den meisten Region-1-DVDs zu finden sind. CC-Untertitel wurden bisher nicht auf DVDs für andere Regionen gefunden.

-subcp <Codepage> (nur bei iconv)
    Wenn dein System iconv(3) unterstützt, so kannst du mit dieser Option die Codepage für die Untertitel angeben.

    BEISPIEL: -subcp latin2
    -subcp cp1250

-subcp enca:<Sprache>:<alternative Codepage> (nur bei ENCA)
    Du kannst eine Sprache im 2-Zeichen-Sprachcode angeben, um ENCA automatisch eine Codepage wählen zu lassen. Wenn du nicht sicher bist, gib irgendetwas ein und sieh dir die Ausgaben von mplayer -v an, um die verfügbaren Sprachen zu sehen. Die alternative Codepage gibt die zu benutzende Codepage an, falls die automatische Erkennung versagt.

    BEISPIEL: Nimm an, die Untertitel seien Tschechisch, und rate die Kodierung. Wenn die Erkennung versagt, benutze latin2. Rate die Kodierung für Polnisch, benutze sonst cp1250.

-subdelay <sek>
    Verzögert die Untertitel um <sek> Sekunden. Kann negativ sein.

-subfile <Dateiname> (BETA CODE)
    Zur Zeit unbrauchbar. Das gleiche wie -audiofile, jedoch für Untertitel-Streams (OGGDS?).

-subfont-autoscale <0-3> (nur bei FreeType)
    Setzt den Modus für automatische Skalierung der Untertitel.
    ANMERKUNG: Null bedeutet, dass text-scale und osd-scale Schrifthöhen in Punkten sind.

    Der Modus kann folgende Werte annehmen:

    keine automatische Skalierung proportional zur Höhe des Films proportional zur Breite des Films proportional zur Diagonale des Films (Standard)

-subfont-blur <0-8> (nur bei FreeType)
    Setzt den Verwischradius für die Schriften (Standard: 2).

-subfont-encoding <Wert> (nur bei FreeType)
    Setzt die Schriftcodierung. Wenn 'unicode' angegeben wird, so werden alle Zeichen der Schriftdatei gerendert, und unicode wird benutzt werden (Standard: unicode).

-subfont-osd-scale <0-100> (nur bei FreeType)
    Setzt den Koeffizienten für die automatische Skalierung der OSD-Elemente (Standard: 6).

-subfont-outline <0-8> (nur bei FreeType)
    Setzt die Schriftumrissstärke (Standard: 2).

-subfont-text-scale <0-100> (nur bei FreeType)
    Setzt den Koeffizienten für die automatische Skalierung der Untertitel (prozentualer Anteil der Anzeigegröße) (Standard: 5).

-subfps <Rate>
    Gibt die Bilder/Sekunde-Rate der Untertitel an (Fließkommazahl). Standard ist die gleiche FPS wie der Film.
    ANMERKUNG: Funktioniert nur bei bildbasierten Untertitelformaten wie z.B. dem MicroDVD-Format.

-subpos <0-100> (nützlich mit -vf expand) (nur bei OSD)
    Gibt die Position der Untertitel auf dem Bildschirm an. Der Wert gibt die vertikale Position der Untertitel in % der Anzeigehöhe an.

-subwidth <10-100> (nur bei OSD)
    Gibt die maximale Breite der Untertitel an. Nützlich für Ausgabe auf dem Fernseher. Der Wert ist die Breite in % der Bildschirmbreite.

-unicode
    Sagt MPlayer, dass er die Untertitel als Unicode behandeln soll.

-utf8
    Sagt MPlayer, dass er die Untertitel als UTF-8 behandeln soll.

-vobsub <VOBsub-Datei ohne Erweiterung>
    Gibt die VOBsub-Dateien an, die als Untertitel angezeigt werden sollen. Angegeben wird der volle Pfadname ohne Erweiterung, z.B. ohne '.idx', '.ifo' oder '.sub'.

-vobsubid <0-31>
    Gibt die ID für die VOBsub-Untertitel an.

OPTIONEN FÜR DIE AUDIOAUSGABE (NUR BEI MPLAYER)

-abs <Wert> (nur bei -ao oss) (VERALTET)
    Überschreibt die automatisch erkannte Puffergröße der Audiotreiber/-karte.

-aofile <Dateiname>
    Überschreibt den Standarddateinamen für -ao pcm.

-aop <list=Plugin1,Plugin2...:Option1=Wert1:opt2=Wert2...>
    Gibt die Audioplugins und ihre Optionen an (siehe auch Audio-Plugins in der (englischen) Dokumentation).

    Verfügbare Optionen sind: Kommaseparierte Liste der Plugins (resample, surround, format, volume, extrastereo, volnorm, delay) Beispiel-Plugin, benutze es nicht (nur beim delay-Plugin). Ausgabeformat (nur beim format-Plugin) Ausgabefrequenz (nur beim resample-Plugin) Lautstärke (nur beim volume-Plugin) Stereokoeffizient (standardmäßig 2.5) (nur beim extrastereo-Plugin) Kompressor- / 'soft-clipping'-Einstellungen (nur beim volume-Plugin)

-delay <Sek>
    Audioverzögerung in Sekunden (positive oder negative Fließkommazahl).

-format <0-8192>
    Wählt das Ausgabeformat der Filterschicht. Die Formatnummer entspricht den in libao2/afmt.h definierten Werten. Mu-Law A-Law Ima-ADPCM unsigned 8-bit signed 16-bit (Little-Endian) signed 16-bit (Big-Endian) signed 8-bit unsigned 16-bit (Little-Endian) unsigned 16-bit (Big-Endian) MPEG (2) Audio AC3 signed 32-bit (Little-Endian) signed 32-bit (Big-Endian)

-mixer <Gerät>
    Benutze einen anderen Mixer als den Standardmixer /dev/mixer. Bei ALSA gibt dies den Mixer-Namen an.

-mixer-channel <Mixer-Anschluß>[,Mixer-Index] <nur bei -ao oss und -ao
    alsa) Bei dieser Option benutzt MPlayer zur Lautstärkeregulierung einen anderen Anschluß als die Standardeinstellung PCM. Optionen für OSS beinhalten vol, pcm, line. Für eine komplette Liste der Optionen suche nach SOUND_DEVICE_NAMES in der Datei /usr/include/linux/soundcard.h. Bei ALSA kannst du die Namen benutzen, die beispielsweise alsamixer anzeigt, wie Master, Line, PCM.
    ANMERKUNG: Die Namen von ALSA-Mixerkanälen gefolgt von einer Nummer müssen im Format <Name,Nummer> angegeben werden, z.B. muß ein Kanal, der im alsamixer 'PCM 1' heißt, umbenannt werden in PCM,1.

-softvol
    Erzwingt den Gebrauch des Softwaremixers anstelle des Mixers der Soundkarte.

-nowaveheader (nur bei -ao pcm)
    Schreibe keinen Wave-Header in die Datei. Wird für raw-PCM benutzt.

-volstep <0-100>
    Setzt die Schrittweite der Mixer-Lautstärkeänderungen in Prozent der Gesamtweite (Standard: 3).

AUDIOAUSGABETREIBER (NUR BEI MPLAYER)
Audioausgabetreiber sind Schnittstellen zu verschiedenen Ausgabeeinrichtungen. Die Syntax ist folgende:

-ao <Treiber1[:Suboption[=Wert]:...],Treiber2,...[,]>
    Gibt eine Prioritätenliste der zu benutzenden Audiotreiber an.

Wenn die Liste mit ',' endet, so werden notfalls auch nicht in der Kommandozeile aufgeführte Treiber benutzt. Suboptionen sind optional und können meistens weggelassen werden.
ANMERKUNG: Eine Liste der eincompilierten Audiotreiber erhälst du mit -ao help.

BEISPIEL: Probiere den ALSA-Treiber, dann den OSS-Treiber, dann andere. Setzt den noblock-Modus, mmap-Modus und den Gerätenamen auf erste Karte, viertes Gerät.

Verfügbare Audioausgabetreiber sind folgende:

alsa
    ALSA 0.9/1.x Audioausgabetreiber. Setzt den experimentellen mmap-Modus (funktioniert nicht für mehr als zwei Kanäle). Setzt den noblock-Modus. Setzt den Gerätenamen. Ersetze jedes ',' mit '.' und jeden ':' mit '=' im ALSA-Gerätenamen. Setze diese Option nicht, wenn du hwac3-Ausgabe über S/PDIF wünschst, es sei denn, du weißt wirklich, wie sie gesetzt werden muß.

alsa1x (VERALTET)
    ALSA 1.x Audioausgabetreiber. Überholt durch den generellen ALSA-Audioausgabetreiber.

alsa9 (VERALTET)
    ALSA 0.9 Audioausgabetreiber. Überholt durch den generellen ALSA-Audioausgabetreiber.

alsa5
    ALSA 0.5 Audioausgabetreiber.

oss OSS Audioausgabetreiber. Setzt das Audioausgabegerät (Standard: /dev/dsp).

sdl Audioausgabetreiber der größtenteils plattformunabhängigen SDL (Simple Directmedia Layer) Bibliothek. Wähle den SDL-Audioausgabetreiber explizit (Standard: lasse SDL wählen).

arts
    Audioausgabe über den Arts-Daemon.

esd Audioausgabe über den ESD-Daemon. Wähle den zu benutzenden ESD-Server explizit (Standard: localhost).

jack
    Audioausgabe über JACK (Jack Audio Connection Kit).

nas Audioausgabe über NAS.

macosx (nur bei Mac OS X)
    Nativer Mac OS X-Audioausgabetreiber.

sgi (nur bei SGI)
    Nativer SGI-Audioausgabetreiber.

sun (nur bei Sun)
    Nativer Sun-Audioausgabetreiber. Wähle das zu benutzende Audiogerät explizit (Standard: /dev/audio).

win32 (nur bei Windows)
    Nativer Windows-Waveout-Audioausgabetreiber.

dxr2 (siehe auch -dxr2) (nur bei DXR2)
    Creative DXR2-spezifischer Ausgabetreiber.

mpegpes (nur bei DVB)
    DVB-spezifischer Ausgabetreiber.

null
    Produziert keine Audioausgabe, behält aber die Videoabspielgeschwindigkeit bei. Benutze -nosound für Benchmarking-Zwecke.

pcm (siehe auch -aofile)
    Filewriter-Audioausgabe im raw-PCM/Wave-Format. Schreibt den Sound nach ./audiodump.wav.

plugin
    Plugin-Audioausgabetreiber.

OPTIONEN FÜR DIE VIDEOAUSGABE (NUR BEI MPLAYER)

-aa* (nur bei -vo aa)
    Du bekommst eine Liste mit allen Optionen und ihren Erläuterungen mit mplayer -aahelp

-adapter <Wert>
    Bestimmt die Grafikkarte, die das Bild erhalten wird. Benötigt die -vm-Option, um zu funktionieren. Du bekommst eine Liste aller verfügbaren Karten, wenn du diese Option mit -v aufrufst. Funktioniert momentan nur mit -vo directx.

-bpp <Farbtiefe>
    Überschreibt die automatisch erkannte Farbtiefe. Wird nur von fbdev-, dga2-, svga- und vesa-Ausgabetreibern unterstützt.

-brightness <-100-100>
    Passt die Helligkeit der Videoausgabe an (Standard: 0). Wird nicht von allen Videoausgabetreibern unterstützt

-contrast <-100-100>
    Passt den Kontrast der Videoausgabe an (Standard: 0). Wird nicht von allen Videoausgabetreibern unterstützt.

-dfbopts <Wert> (nur mit -vo directfb)
    Gibt eine Parameterliste für den directfb-Videoausgabetreiber an.

-display <Name> (nur bei X11)
    Gibt den Rechnernamen und die Anzeigenummer des X-Servers an, auf dem die Anzeige erscheinen soll.

    BEISPIEL: -display xtest.localdomain:0

-double
    Aktiviert Double-Buffering. Vermeidet Flimmern dadurch, dass zwei Bilder im Speicher gehalten werden, von denen das eine angezeigt wird, während das andere noch decodiert wird. Kann das OSD negativ beeinflussen, entfernt aber oft Flimmern des OSD. Braucht doppelt so viel Speicher wie Einfachpufferung und wird somit nicht mit Grafikkarten funktionieren, die nur über sehr wenig Speicher verfügen.

-dr Schaltet direktes Rendern an (wird nicht von allen Codecs und Videoausgabetreibern unterstützt).
    WARNUNG: Kann zu Störungen beim OSD oder bei den Untertiteln führen!

-dxr2 <option1:option2:...>
    Mit dieser Option wird der dxr2-Videoausgabetreiber gesteuert. Modus für die Anpassung des Höhen-/Breitenverhältnisses (0 = normal, 1 = Panscan, 2 = letterbox (Standard)) Setzt den iec958-Ausgabemodus auf 'encoded'. Setzt den iec958-Ausgabemodus auf 'decoded' (Standard). Macrovision-Modus (0 = aus (Standard), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) Ausschalten der Stummschaltung der Soundausgabe Pfad zum Microcode

    TV-Ausgabe
Schaltet den 7.5 IRE-Ausgabemodus an. Schaltet den 7.5 IRE-Ausgabemodus ab (Standard). TV-Ausgabe in Schwarz/Weiß TV-Ausgabe in Farbe (Standard) TV-Ausgabe ist interlaced (Standard). Schaltet die interlaced-TV-Ausgabe ab. TV-Norm (ntsc (Standard), pal, pal60, palm, paln, palnc) Setzt TV-Pixelmodus auf 'square'. Setzt TV-Pixelmodus auf 'ccir601'.

    Overlay
Setzt den Wert für das Abschneiden des Bildrandes links (Standard: 50). Setzt den Wert für das Abschneiden des Bildrandes rechts (Standard: 300). Setzt den Wert für das Abschneiden des Bildrandes oben (Standard: 0) Setzt den Wert für das Abschneiden des Bildrandes unten (Standard: 0) Setzt die Verstärkung des r(oten), g(rünen) oder b(lauen) Wertes des Overlay-Farbschlüssels. Setzt den Minimalwert für den entsprechenden Farbschlüssel. Setzt den Maximalwert für den entsprechenden Farbschlüssel. Ignoriere die zwischengespeicherten Overlay-Einstellungen. Aktualisiere die zwischengespeicherten Overlay-Einstellungen. Aktiviert Overlay-Onscreen-Anzeige. Deaktiviert Overlay-Onscreen-Anzeige (Standard). Passt die Größe (Höhe, Breite) und Position des Overlays an, falls es nicht ganz den Fensterproportionen entspricht (Standard: 0). Aktiviert das Overlay (Standard). Aktiviert die TV-Ausgabe. Stellt das Overlay ein (Standard: 1000).

-fb <Gerät> (nur bei -vo fbdev oder directfb) (VERALTET)
    Gibt das zu benutzende Framebuffer-Gerät an (Standard: /dev/fb0).

-fbmode <Modusname> (nur bei -vo fbdev)
    Wechselt in den angegebenen Videomodus, der als <Modusname> in /etc/fb.modes steht.
    ANMERKUNG:
    Der VESA-Framebuffer unterstützt den Auflösungswechsel nicht.

-fbmodeconfig <Dateiname> (nur bei -vo fbdev)
    Benutze diese Konfigurationsdatei an Stelle der Standarddatei /etc/fb.modes.

-forcexv (nur bei -vo sdl)
    Erzwingt die Benutzung von XVideo über den SDL-Videoausgabetreiber.

-fs (siehe auch -zoom)
    Vollbildwiedergabe (zentriert den Film und erstellt schwarze Balken rund um das Bild). Nicht jeder Videoausgabetreiber unterstützt dies.

-fsmode-dontuse <0-31> (VERALTET) (benutze -fs)
    Benutze diese Option, wenn du mit dem Vollbildmodus Probleme hast.

-fstype <Typ1,Typ2,...> (nur bei X11)
    Gib eine Prioritätenliste von Vollbild-Layereinstellungsmodi an, die benutzt werden sollen. Du kannst die Modi durch Voransetzen von '-' negieren. Falls du das Problem hast, dass das Vollbild von anderen Fenstern überdeckt wird, probiere eine andere Reihenfolge.
    ANMERKUNG: Siehe -fstype help für eine vollständige Liste aller verfügbaren Modi.

    Die verfügbaren Modi sind:

    Benutze die _NETWM_STATE_ABOVE-Anweisung, falls verfügbar. Benutze die _NETWM_STATE_BELOW-Anweisung, falls verfügbar. Benutze die _NETWM_STATE_FULLSCREEN-Anweisung, falls verfügbar. Benutze die _WIN_LAYER-Anweisung mit dem Standard-Layer. Benutze die _WIN_LAYER-Anweisung mit der angegebenen Layernummer. Erzwinge den NETWM-Stil. Richte den Vollbild-Fenster-Layer nicht ein. Benutze die _NETWM_STATE_STAYS_ON_TOP-Anweisung, falls verfügbar.

    BEISPIEL:
Standardreihenfolge; wird benutzt, wenn falsche oder nichtunterstützte Modi angegeben werden. Korrigiert den Vollbildwechsel für Benutzer von OpenBox 1.x.

-geometry x[%][:y[%]] oder [WxH][+x+y]
    Gibt an, wo die Videoausgabe initial erscheint. x und y sind Angaben in Pixeln und geben den Abstand von der linken oberen Ecke des Bildschirms zur linken oberen Ecke des darzustellenden Bildes an. Wenn ein Prozentzeichen nach einem Argument verwendet wird, dann wird statt dessen die prozentuale Bildschirmbreite/-höhe verwendet. Auch das bei der X-Standardoption -geometry verwendete Format wird unterstützt. Die Werte müssen ganze Zahlen sein.
    ANMERKUNG: Diese Option wird nur von x11-, xmga-, xv-, xvmc-, xvidix-, directx- und tdfxfb-Videoausgabetreibern unterstützt.

    BEISPIEL: Platziert das Fenster bei x=50, y=40. Platziert das Fenster in der Mitte des Bildschirms. Platziert das Fenster in der unteren rechten Ecke des Bildschirmes.

-guiwid <Fenster ID> (siehe auch -wid) (nur mit GUI)
    Weist die GUI an, auch ein X11-Fenster zu benutzen und sich selbst an die Unterseite des Videos zu heften, was nützlich ist beim Einbetten einer Mini-GUI in einen Browser (z.B. mit dem MPlayer-Plugin).

-hue <-100-100>
    Passt die Farbe des Videosignals an (Standard: 0). Du kannst mit dieser Option negative Farben erhalten. Wird nicht von allen Videoausgabetreibern unterstützt.

-monitor-dotclock <Bereich[,Bereich,...]> (nur bei -vo fbdev und vesa)
    Gib den Bereich für dotclock oder pixelclock des Monitors an.

-monitor-hfreq <Bereich[,Bereich,...> (nur bei -vo fbdev und vesa)
    Gibt den Bereich für die horizontale Frequenz des Monitors an.

-monitor-vfreq <Bereich[,Bereich,...> (nur bei -vo fbdev und vesa)
    Gibt den Bereich für die vertikale Frequenz des Monitors an.

-monitoraspect <Verhältnis> (siehe auch -aspect)
    Gibt das Höhen-/Breitenverhältnis deines Monitors oder Fernsehers an. Siehe auch -aspect, das das Verhältnis des Films angibt.

    BEISPIEL: -monitoraspect 4:3 oder 1.3333
    -monitoraspect 16:9 oder 1.7777

-nograbpointer
    Übernimmt den Mauszeiger nach einem Wechsel des Videomodus (mit -vm) nicht. Nützlich bei Multihead-Einstellungen.

-nokeepaspect
    Erhalte beim Ändern der Fenstergröße unter X11 nicht das Höhen-/Breitenverhältnis. Funktioniert nur mit den x11-, xv-, xmga-, xvidix- und directx-Videoausgabetreibern. Außerdem muß dein Windowmanager unter X11 Anweisungen zum Fenster-Seitenverhältnis verstehen.

-noxv (nur bei -vo sdl)
    Deaktiviert die Benutzung von XVideo durch den SDL-Videoausgabetreiber.

-ontop
    Sorgt dafür, daß das Abspielfenster nicht von anderen Fenstern verdeckt wird. Wird unterstützt von Videoausgabetreibern, die X11 benutzen, außer SDL, außerdem directx und gl2 unter Windows.

-panscan <0.0-1.0>
    Aktiviert Pan & Scan. Dabei werden z.B. bei einem 16:9-Film und einem 4:3-Monitor die Seiten abgeschnitten, damit der komplette Bildbereich ausgefüllt wird. Der Bereich kontrolliert, wieviel vom Bild abgeschnitten wird. Dies funktioniert nur mit den xv-, xmga-, mga-, gl-, quartz- und xvidix-Videoausgabetreibern.

-refreshrate <Hz>
    Setzt die Bildwiederholfrequenz des Monitors in Hz. Momentan nur unterstützt durch -vo directx kombiniert mit der -vm-Option.

-rootwin
    Spielt den Film im Root-Fenster (dem Desktophintergrund) ab. Desktophintergrundbilder können den Film allerdings verdecken. Funktioniert nur mit den x11-, xv-, xmga-, xvidix-, quartz- und directx-Videoausgabetreibern.

-saturation <-100-100>
    Passt die Sättigung des Videosignals an (Standard: 0). Mit dieser Option kannst du ein Graustufenbild bekommen. Wird nicht von allen Videoausgabetreibern unterstützt.

-screenh <Pixel>
    Gib die horizontale Bildauflösung für Videoausgabetreiber an, die die Bildschirmauflösung nicht kennen, wie fbdev, x11 und TV-Ausgang.

-screenw <Pixel>
    Gib die vertikale Bildauflösung für Videoausgabetreiber an, die die Bildschirmauflösung nicht kennen, wie fbdev, x11 und TV-Ausgang.

-stop-xscreensaver (nur bei X11)
    Deaktiviert den Bildschirmschoner beim Start von MPlayer und aktiviert ihn beim Beenden wieder.

-vm Versucht, in einen anderen Videomodus zu wechseln. Unterstützt von dga-, x11, xv-, sdl- und directx-Videoausgabetreibern. In Verbindung mit dem directx-Videoausgabetreiber können die Optionen -screenw, -screenh, -bpp und -refreshrate benutzt werden, um einen neuen Anzeigemodus zu setzen.

-vsync
    Aktiviert VBI für vesa-, dfbmga- und svga-Videoausgabetreiber.

-wid <Fenster-ID> (siehe auch -guiwid) (nur bei X11)
    Weist MPlayer an, sich an ein bestehendes X11-Fenster zu heften, was beispielsweise nützlich ist, um MPlayer in einen Browser einzubetten (z.B. mit der plugger-Erweiterung).

-xineramascreen <0-...>
    Bei Xinerama-Konfigurationen (z.B. bei einem einzigen Desktop, der sich über mehrere Monitore erstreckt) gibt diese Option an, auf welchem Schirm das Video angezeigt werden soll.

-z <0-9>
    Gibt die Kompressionsstufe bei des png-Videoausgabetreibers an. 0 steht für keine, 9 für maximale Kompression.

-zrbw (nur bei -vo zr)
    Anzeige in schwarz/weiß. Für optimale Performance kann dies mit der Option '-lavdopts gray' kombiniert werden.

-zrcrop <[Breite]x[Höhe]+[x Offset]+[y Offset]> (nur bei -vo zr)
    Wählt den anzuzeigenden Teilausschnitt des Bildes. Wird diese Option mehrmals angegeben, so aktiviert sie den Cinerama-Modus. Im Cinerama-Modus wird der Film auf mehr als einen Fernseher (oder Beamer) verteilt, um insgesamt eine größere Anzeigefläche zu erhalten. Optionen, die nach dem n-ten -zrcrop erscheinen, gelten für die n-te MJPEG-Karte. Für jede Karte sollte zusätzlich zu -zrcrop ein -zrdev angegeben werden. Beispiele befinden sich in der Zr-Sektion der Dokumentation oder in der Ausgabe von -zrhelp.

-zrdev <Gerät> (nur bei -vo zr)
    Gibt die zu deiner MJPEG-Karte gehörende Gerätedatei an. Standardmäßig verwendet der zr-Videoausgabetreiber das erste v4l-Gerät, das er findet.

-zrfd (nur bei -vo zr)
    Erzwungene Dezimierung: Dezimierung, wie mit -zrhdec und -zrvdec angegeben. Wird nur angewandt, wenn der Hardwareskalierer das Bild wieder auf seine ursprüngliche Größe ausdehnen kann. Mit dieser Option wird die Dezimierung erzwungen.

-zrhdec <1,2,4> (nur bei -vo zr)
    Horizontale Dezimierung: Weist den Treiber an, nur jede zweite oder vierte Zeile/Pixel des Bildes an die MJPEG-Karte zu schicken und den Hardwareskalierer der MJPEG-Karte dazu zu benutzen, das Bild wieder auf seine Urpsrungsgröße auszudehnen.

-zrhelp (nur bei -vo zr)
    Zeigt eine Liste aller -zr*-Optionen, ihre Standardwerte und ein Beispiel für den Cinerama-Modus an.

-zrnorm <norm> (nur bei -vo zr)
    Gibt die Fernsehnorm PAL oder NTSC an (Standardwert: keine Änderung).

-zrquality <1-20> (nur bei -vo zr)
    Eine Nummer von 1 (beste) bis 20 (schlechteste), die die JPEG-Codierungsqualität angibt.

-zrvdec <1,2,4> (nur bei -vo zr)
    Horizontale Dezimierung: Weist den Treiber an, nur jede zweite oder vierte Spalte/Pixel des Bildes an die MJPEG-Karte zu schicken und den Hardwareskalierer der MJPEG-Karte dazu zu benutzen, das Bild wieder auf seine Urpsrungsgröße auszudehnen.

-zrxdoff <x Anzeige-Offset> (nur bei -vo zr)
    Wenn das Bild kleiner als der Fernsehbildschirm ist, so wird mit dieser Option die Bildposition relativ zur oberen linken Ecke des Fernsehers kontrolliert (Standard: zentriert).

-zrydoff <y Anzeige-Offset> (nur bei -vo zr)
    Wenn das Bild kleiner als der Fernsehbildschirm ist, so wird mit dieser Option die Bildposition relativ zur oberen linken Ecke des Fernsehers kontrolliert (Standard: zentriert).

VIDEOAUSGABETREIBER (NUR BEI MPLAYER)
Videoausgabetreiber sind Schnittstellen zu verschiedenen Videoausgabe-Einrichtungen. Die Syntax ist folgende:

-vo <Treiber1[:Suboption1[=Wert]:...],Treiber2,...[,]>
    Gibt eine Prioritätenliste der zu verwendenden Videoausgabetreiber an.

Wenn die Liste mit ',' endet, so werden notfalls auch nicht in der Kommandozeile aufgeführte Treiber benutzt. Suboptionen sind optional und können meistens weggelassen werden.
ANMERKUNG: Eine Liste der eincompilierten Videotreiber erhälst du mit -vo help.

BEISPIEL: Probiert zuerst den Matrox-X11-Treiber, dann den Xv-Treiber, dann andere. Benutzt den directx-Treiber mit abgeschalteten Beschleunigungs-Features.

Folgende Videoausgabetreiber sind verfügbar:

xv (nur bei X11)
    Benutzt die XVideo-Erweiterung von XFee86 4.x, um hardwarebeschleunigtes Abspielen zu ermöglichen. Wenn du keinen hardwarespezifischen Treiber wählen kannst, ist dies für dich vermutlich die beste Wahl. Wähle einen bestimmten Port für XVideo.

x11 (nur bei X11)
    Ein Videoausgabetreiber mit Shared Memory ohne Hardwarebeschleunigung, der immer funktioniert, wenn X11 läuft.

xover (nur bei X11)
    Ergänzt alle Overlay-basierten Treiber um X11-Unterstützung. Momentan nur von tdfx_vid unterstützt. Wähle den Treiber, der als Quelle für das Overlay überhalb von X11 benutzt werden soll.

xvmc (nur bei X11 mit -vc ffmpeg12mc)
    Ein Videoausgabetreiber, der die XvMC- (X Video Motion Compensation) Unterstützung von XFree86 4.x benutzt, um das Decodieren von MPEG-1/2 und VCR2 zu beschleunigen. Deaktiviert die Anzeige von Bildern. Benötigt für einwandfreies Benchmarking von Treibern, die den Bildpuffer nur bei einem Monitor-Retrace ändern (nVidia). Frames werden in einer Queue angeordnet, um der Videohardware weitergehendes paralleles Arbeiten zu ermöglichen. Dies kann eine geringe konstante (nicht bemerkbare) A/V-Desynchronisation mit sich bringen. Benutze die Sleep-Funktion, während auf Beendigung des Renderns gewartet wird (nicht empfohlen unter Linux). Benutze die Sleep-Funktion nicht, während auf Beendigung des Renderns gewartet wird (Standard).

dga (nur bei X11)
    Gib das Video über die Direct Graphics Access-Erweiterung von XFree86 aus. Wird als veraltet betrachtet.

sdl (nur bei SDL)
    Höchst-plattformunabhängiger Videoausgabetreiber der SDL-Bibliothek (Simple Directmedia Layer). Da SDL einen eigenen X11-Layer benutzt, haben die X11-Optionen von MPlayer keine Wirkung auf SDL. Wähle den zu benutzenden SDL-Treiber explizit.

vidix
    VIDIX (VIDeo Interface für *niX) ist eine Schnittstelle zu den Videobeschleunigungsfunktionen verschiedener Grafikkarten. Sehr schneller Videoausgabetreiber bei Karten, die dies unterstützen. Wähle explizit einen VIDIX-Subdevice-Treiber, der benutzt werden soll. Verfügbare Subdevice-Treiber sind cyberblade_vid, mach64_vid, mga_crtc2_vid, mga_vid, nvidia_vid, pm3_vid, radeon_vid, rage128_vid, sis_vid und unichrome_vid.

xvidix (nur bei X11)
    X11-Frontend für VIDIX das gleich wie bei vidix

cvidix
    Generisches, plattformunabhängiges VIDIX-Frontend, das mit nVidia-Karten sogar in der Konsole läuft. das gleich wie bei vidix

winvidix (nur bei Windows)
    Windows-Frontend für VIDIX das gleich wie bei vidix

directx (nur bei Windows)
    Videoausgabetreiber, der die DirectX-Schnittstelle benutzt. Schaltet Hardwarebeschleunigung ab. Probiere diese Option bei Problemen mit der Darstellung.

quartz (nur bei Mac OS X)
    Mac OS X Quartz-Videoausgabetreiber. Unter manchen Umständen mag es effizienter sein, ein komprimiertes YUV-Ausgabeformat zu erzwingen, z.B. mit -vf format=yuy2. Wähle ein Gerät für die Darstellung im Vollbildmodus. Gib die Auflösung im Vollbildmodus an (nützlich auf langsamen Systemen).

fbdev (nur bei Linux)
    Benutze für die Videoausgabe den Kernel-Framebuffer. Wähle explizit das zu benutzende fbdev-Gerät (z.B. /dev/fb0) oder das VIDIX-Subdevice, falls der Gerätename mit 'vidix' beginnt (z.B.

fbdev2 (nur bei Linux)
    Benutze für die Videoausgabe den Kernel-Framebuffer, alternative Implementation. Wähle das zu benutzende fbdev-Gerät explizit. (Standard: /dev/fb0).

vesa
    Sehr genereller Videoausgabetreiber, der mit jeder VESA VBE 2.0-kompatiblen Karte funktionieren sollte. Schaltet den DGA-Modus an. Schaltet den DGA-Modus ab. Aktiviere die TV-Ausgabe von NeoMagic und setze die Norm auf PAL. Aktiviere die TV-Ausgabe von NeoMagic und setze die Norm auf NTSC. Benutze den VIDIX-Treiber. Aktiviere das Linux-Video-Overlay über dem VESA-Modus.

svga
    Gib das Video über die SVGA-Bibliothek aus. Gib den zu benutzenden Videomodus an. Der Modus kann angegeben werden im Format <Breite>x<Höhe>x<Farben>, z.B. 640x480x16M, oder per Grafikmodusnummer, z.B. 84. Zeigt das OSD in den schwarzen Rändern des Films an (langsamer). Benutze nur native Darstellungsfunktionen. Dies verhindert direktes Rendern, OSD und Hardwarebeschleunigung. Erzwingt Frame-Wechsel bei vertikalem Retrace. Nur benutzbar mit -double. Dies hat denselben Effekt wie die Option -vsync. Benutze svga mit VIDIX.

gl  OpenGL-Videoausgabetreiber. Einfache Version, die Videogröße muß kleiner sein als die maximale Texturgröße deiner OpenGL-Implementierung. Es ist beabsichtigt, auch mit den einfachsten OpenGL-Implementierungen zu funktionieren. Schaltet die Unterstütztung für mehr (RGB und BGR) Farbformate. Benötigt eine OpenGL-Version >= 1.2. Anzahl der Linien, die an einem Stück zur Textur kopiert werden (Standard: 4). 0 für ganzes Bild. (De)aktiviere die Unterstützung für das Rendern des OSD via OpenGL (Standard: aktiviert). Hauptsächlich für Testzwecke, Du solltest -osdlevel 0 benutzen, um OSD zu deaktivieren. Ändert das Verhalten des OSD bei Änderung der Fenstergröße (Standard: deaktiviert). Falls aktiviert ist das Verhalten den anderen Videoausgabetreibern ähnlicher, was bei Schriftarten mit fester Größe besser ist. Deaktiviert sieht es mit FreeType-Schriftarten besser aus und benutzt im Vollbildmodus die Ränder. (De)aktiviert die Skalierung des Aspekts und die Unterstützung für Panscan (Standard: aktiviert). Deaktivierung könnte die Geschwindigkeit erhöhen.

gl2 OpenGL-Videoausgabetreiber, zweite Generation. Unterstützt OSD und Videos, die größer als die maximale Texturgröße sind.

null
    Produziert keine Videoausgabe. Nützlich für Benchmarking-Zwecke.

aa (siehe auch -aa*)
    ASCII-Art-Videoausgabetreiber, der auf einer Textkonsole funktioniert.

caca
    Farbiger ASCII-Art-Videoausgabetreiber, der auf einer Textkonsole funktioniert.

bl  Videowiedergabe, die das Blinkenlights-UDP-Protokoll unterstützt. Dieser Treiber ist höchstgradig hardwarespezifisch. Wählt den zu benutzenden Subdevice-Treiber von Blinkenlights explizit. Die Angabe ist der Art arcade:host=localhost:2323 oder hdl:file=Name1,file=Name2. Du musst ein Subdevice angeben.

ggi Videoausgabetreiber für das GGI-Grafiksystem. Wählt den zu benutzenden GGI-Treiber explizit.

directfb
    Videowiedergabe über die DirectFB-Bibliothek. Benutze DirectFB anstelle des MPlayer-Tastaturcodes (Standard: aktiviert). Doppeltes (double) und dreifaches (triple) Buffering liefern die besten Resultate, wenn du Abreiß-Probleme vermeiden möchstest. Triplebuffering ist effizienter als Doublebuffering, da es MPlayer während des Wartens auf das vertikale Retrace nicht blockiert. Einfaches Buffern sollte vermieden werden (Standard: single). Kontrolliert die Ausgabereihenfolge für interlaced-Bilder (Standard: deaktiviert). Gültige Werte sind top = obere Felder zuerst, bottom = untere Felder zuerst. Diese Option hat keinerlei Effekt auf progressives Filmmaterial, wie es die meisten MPEG-Filme sind. Du mußt diese Option aktivieren, wenn es beim Schauen von interlaced-Filmmaterial zu Abreißeffekten oder unscharfen Bewegungen kommt. Wird den Layer mit der ID N für die Wiedergabe erzwingen (Standard: -1 - auto).

dfbmga
    Matrox G400/G450/G550-spezifische Videoausgabetreiber, die die DirectFB-Bibliothek benutzen. Ermöglicht CRTC2 (zweiter Bildschirm), stellt Videos unabhängig vom ersten Bildschirm dar. Ermöglicht die Nutzung von Matrox BES (Backend-Skalierer) (Standard: deaktiviert). Gibt hinsichtlich Geschwindigkeit und Ausgabequalität sehr gute Resultate, da interpolierte Bildverarbeitung in der Hardware geschieht. Funktioniert nur auf dem ersten Bildschirm. Nutzt den Matrox-Sub-Picture-Layer für die Anzeige des OSD (Standard: aktiviert). Schaltet TV-Out des zweiten Monitors an (Standard: aktiviert). An der Wiedergabequalität ist erstaunlich, dass ein komplettes Interlaced-Bild mit exakter Synchronisation auf jedem un-/graden Feld dargestellt wird. Benutze DirectFB anstelle des MPlayer-Tastaturcodes (Standard: aktiviert). Doppeltes (double) und dreifaches (triple) Buffering liefern die besten Resultate, wenn du Abreiß-Probleme vermeiden möchstest. Triplebuffering ist effizienter als Doublebuffering, da es MPlayer während des Wartens auf das vertikale Retrace nicht blockiert. Einfaches Buffern sollte vermieden werden (Standard: single). Kontrolliert die Ausgabereihenfolge für interlaced-Bilder (Standard: deaktiviert). Gültige Werte sind top = obere Felder zuerst, bottom = untere Felder zuerst. Diese Option hat keinerlei Effekt auf progressives Filmmaterial, wie es die meisten MPEG-Filme sind. Du mußt diese Option aktivieren, wenn es beim Schauen von interlaced-Filmmaterial zu Abreißeffekten oder unscharfen Bewegungen kommt. Setzt die TV-Norm der Matrox-Karte, ohne /etc/directfbrc ändern zu müssen (Standard: deaktiviert). Gültige Normen sind pal = PAL, ntsc = NTSC. Eine spezielle Norm ist auto (automatisches Anpassen zu PAL/NTSC), denn die Norm wird bestimmt, indem die Framerate des Films betrachtet wird.

mga (nur bei Linux)
    Matrox-spezifischer Videoausgabetreiber, der den YUV-Backend-Scaler von Gxxx-Karten durch ein Kernelmodul benutzt. Wenn du eine Matroxkarte hast, ist dies die schnellste Option. Wählt das zu benutzende Matrox-Gerät explizit (Standard: /dev/mga_vid).

xmga (nur bei Linux, X11)
    Der mga-Videoausgabetreiber, läuft in einem X11-Fenster. Wählt das zu benutzende Matrox-Gerät explizit (Standard: /dev/mga_vid).

syncfb
    Videoausgabetreiber für das SyncFB-Kernelmodul, das spezielle Hardwareeigenschaften von Matrox Gxxx-Karten bereitstellt, wie Hardware-Deinterlacing, Skalierung und Synchronisation der Videoausgabe für das vertikale Retrace auf dem Monitor.

3dfx (nur bei Linux)
    3Dfx-spezifischer Videoausgabetreiber. Dieser Treiber benutzt die 3Dfx-Hardware direkt auf X11. Nur 16 bpp werden unterstützt. FIXME: Unterschied zwischen 3dfx, tdfxfb and tdfx_vid ok?

tdfxfb (Linux only)
    Dieser Treiber setzt den tdfx-Framebuffer-Treiber ein, um Filme mit YUV-Beschleunigung abzuspielen. FIXME: Unterschied zwischen 3dfx, tdfxfb and tdfx_vid ok? Wähle das zu benutzende fbdev-Gerät explizit (Standard: /dev/fb0).

tdfx_vid (Linux only)
    3Dfx-spezifischer Videoausgabetreiber. Dieser Treiber benutzt das tdfx_vid-Kernelmodul direkt. FIXME: Unterschied zwischen 3dfx, tdfxfb and tdfx_vid ok? Wähle das zu benutzende Gerät explizit (Standard:/dev/tdfx_vid).

dxr2 (siehe auch -dxr2) (nur bei DXR2)
    Creative DXR2-spezifischer Videoausgabetreiber. Der für das Overlay zu benutzende unterliegende Videoausgabetreiber (x11, xv)

dxr3 (nur bei DXR3)
    Sigma Designs em8300 MPEG-Decoder-Chip- (Creative DXR3, Sigma Designs Hollywood Plus) spezifischer Videoausgabetreiber. Siehe auch lavc-Videofilter. Aktiviert Overlay anstelle von TV-Ausgabe. Schaltet Prebuffering ein. Schaltet die neue Sync-Engine ein. Gibt die TV-Norm an. 0: Ändert die aktuelle Norm nicht (Standard).
    1: Automatische Anpassung mit PAL/NTSC.
    2: Automatische Anpassung mit PAL/PAL-60.
    3: PAL
    4: PAL-60
    5: NTSC Gibt die Gerätenummer an, wenn mehr als eine em8300-Karte vorhanden ist.

mpegpes (nur bei DVB)
    Videoausgabetreiber für DVB-Karten, der die Ausgabe in eine MPEG-PES-Datei schreibt, falls keine DVB-Karte installiert ist. Gibt die Gerätenummer an, wenn mehr als eine DVB-Karte vorhanden ist (nur bei V3 API, wie bei den Treibern der 1.x.y-Serie). Erlaubt die genaue Angabe des Ausgabedateinamens (Standard: ./grab.mpg).

zr (siehe auch -zr* und -zrhelp)
    Videoausgabetreiber für eine Anzahl von MJPEG-Capture/Wiedergabe-Karten.

zr2 (siehe auch den zrmjpeg-Videofilter)
    Videoausgabetreiber für eine Anzahl von MJPEG-Capture/Wiedergabe-Karten, zweite Generation. Gibt das zu benutzende Gerät an. Aktiviert die Videonorm PAL. Aktiviert die Videonorm SECAM. Aktiviert die Videonorm NTSC. Aktiviert Prebuffering, wird noch nicht unterstützt.

md5sum
    Berechnet MD5-Summen von jedem Frame und schreibt sie in eine Datei. Unterstützt die Farbräume RGB24 und YV12. Nützlich für Debugging-Zwecke. Gibt den Ausgabe-Dateinamen an (Standard: ./md5sums).

yuv4mpeg
    Wandelt den Videostream in eine Abfolge von unkomprimierten YUV 4:2:0-Bildern um und speichert diese in einer Datei namens 'stream.yuv' im aktuellen Verzeichnis. Das Format ist das gleiche, das von den mjpegtools benutzt wird, daher ist diese Option nützlich, wenn du das Video mit den mjpegtools bearbeiten möchtest. Es unterstützt das YV12-, RGB- (24 bpp) und BGR-Format (24 bpp). Schreibt die Ausgabe-Frames interlaced, obere Felder zuerst. Schreibt die Ausgabe-Frames interlaced, untere Felder zuerst.

    ANMERKUNG: Bei Weglassen dieser Optionen ist die Ausgabe 'progressive' (d.h. nicht interlaced).

gif89a
    Gibt jeden Frame in eine GIF-Datei im aktuellen Verzeichnis aus. Jede Datei bekommt die Frame-Nummer mit vorangestellt ergänzenden Nullen als Name. Es unterstützt nur das RGB-Format (24 bpp), und die Ausgabe wird zu 256 Farben konvertiert. Fließkommawert, der die Framerate angibt (Standard: 5.0). Gibt den Ausgabedateinamen an (Standard: ./out.gif).

    ANMERKUNG: Du musst die Framerate vor dem Dateinamen angeben, sonst wird die Framerate Teil des Dateinamens.

    BEISPIEL:
mplayer video.nut -vo gif89a:15.0:test.gif

jpeg
    Gibt jeden Frame in eine JPEG-Datei im aktuellen Verzeichnis aus. Jede Datei bekommt die Frame-Nummer mit vorangestellt ergänzenden Nullen als Name. Gibt Standard-JPEG oder progressives JPEG an (Standard: noprogressive). Benutze eine/keine Baseline (Standard: baseline). Optimierungswert <0-100> (Standard: 100) Glättungsfaktor <0-100> (Standard: 0) Qualitätsfaktor <0-100> (Standard: 75) Gib das Verzeichnis an, in das die JPEG-Bilder gespeichert werden (Standard: ./). Erstellt nummerierte Unterverzeichnisse mit dem angegebenen Präfix, in welches die Dateien gespeichert werden anstatt in das aktuelle Verzeichnis. Maximale Anzahl an JPEG-Dateien, die pro Unterverzeichnis gespeichert werden. Muss größer oder gleich 1 sein (Standard: 1000).

pnm Gibt jeden Frame in eine PNM-Datei in das aktuelle Verzeichnis aus. Jede Datei bekommt die Frame-Nummer mit vorangestellt ergänzenden Nullen als Name. Unterstützt PPM-, PGM- und PGMYUV-Dateien sowohl im raw- als auch im ASCII-Modus. Siehe auch pnm(5), ppm(5) and pgm(5). Schreibe PPM-Dateien (Standard). Schreibe PGM-Dateien. Schreibe PGMYUV-Dateien. PGMYUV ist wie PGM, enthält jedoch zusätzlich eine U- und V-Ebene unten im Bild. Schreibe PNM-Dateien im raw-Modus (Standard). Schreibe PNM-Dateien im ASCII-Modus. Gib das Verzeichnis an, in das die PNM-Dateien gespeichert werden (Standard: ./). Erstellt nummerierte Unterverzeichnisse mit dem angegebenen Präfix, in welches die Dateien gespeichert werden anstatt in das aktuelle Verzeichnis. Maximale Anzahl an JPEG-Dateien, die pro Unterverzeichnis gespeichert werden. Muss größer oder gleich 1 sein (Standard: 1000).

png (siehe auch -z)
    Gibt jeden Frame in eine PNG-Datei im aktuellen Verzeichnis aus. Jede Datei bekommt die Frame-Nummer mit vorangestellt ergänzenden Nullen als Name. Unterstützt die RGB- und BGR-Formate mit 24 bpp.

tga Gibt jeden Frame in eine TGA-Datei im aktuellen Verzeichnis aus. Jede Datei bekommt die Frame-Nummer mit vorangestellt ergänzenden Nullen als Name. Der Zweck dieses Videoausgabetreibers ist das Schreiben von verlustfreien Bildern, die mit jeder externen Bibliothek verwendet werden können. Unterstützt werden BGR[A]-Farbformate mit 15, 24 und 32 bpp. Ein bestimmtes Format kann erzwungen werden durch Benutzung des format-Videofilters.

    BEISPIEL:
mplayer video.nut -vf format=bgr15 -vo tga

OPTIONEN FÜR DIE DECODIERUNG/DAS FILTERN

-ac <[-]Codec1,[-]Codec2,...[,]>
    Gib eine Prioritätsliste der zu verwendenden Audiocodecs an. Die Codecnamen entsprechen den in codecs.conf definierten Einträgen. Ein '-' vor dem Codecnamen deaktiviert diesen Codec. Wenn die Liste mit ',' endet, wird MPlayer auch auf Codecs zurückgreifen, die nicht in der Liste stehen.
    ANMERKUNG: Mit -ac help erhälst du eine vollständige Liste aller verfügbaren Codecs.

    BEISPIEL: Erzwingt den l3codeca.acm-MP3-Codec. Probiert zuerst libmad und dann andere Codecs. Zuerst wird versucht, AC3 unverändert durchzureichen, dann die Software-AC3-Decodierung, danach andere Codecs. Probiere andere Codecs, ausgenommen den MP3-Decoder von FFmpeg.

-af <Filter1[=Parameter1:Parameter2:...],Filter2,...>
    Aktiviert eine kommaseparierte Liste von Audiofiltern zusammen mit ihren Optionen. Siehe auch die Sektion Audiofilter der (englischen) Dokumentation.
    ANMERKUNG: Für eine vollständige Liste der verfügbaren Audiofilter, siehe -af help.

    Die verfügbaren Filter lauten: Ändert die Samplerate des Audiostreams zu der ganzzahligen srate (in Hz). Unterstützt nur das 16-bit Little-Endian-Format. In Verbindung mit MEncoder musst du zusätzlich -srate <srate> angeben. Ändert die Samplerate des Audiostreams zu einem Integerwert in Hz. Unterstützt nur das 16-bit Little-Endian-Format. In Verbindung mit MEncoder musst du zusätzlich -srate <srate> angeben. srate: die Samplerate der Ausgabe
    Länge: Länge des Filters hinsichtlich der niedrigeren Samplerate Standard: 16
    linear: Falls 1 werden die Filter zwischen Polyphase-Einträgen linear interpoliert.
    Zähler: log2 der Anzahl der Polyphase-Einträge (..., 10->1024, 11->2048, 12->4096, ...) Standard: 10->1024
    Abschluss: Abschlussfrequenz (0.0-1.0), Standardwert wird abhängig von der Filterlänge gesetzt. Sinus des Durchlaufs
    "Head-related transfer function": Konvertiert mehrkanäliges Audiosignal auf zwei Kanäle für Kopfhörer, behält dabei die Räumlichkeit des Klangs. Ändert die Anzahl der Kanäle in nch Ausgabekanäle. Falls die Anzahl der Ausgabekanäle größer ist als die Anzahl der Eingangskanäle, so werden leere Kanäle erzeugt (Ausnahme: Upmix von Mono auf Stereo, dann wird der Monokanal auf beiden Ausgabekanälen wiederholt). Ist die Anzahl der Ausgabekanäle kleiner als die Anzahl der Eingangskanäle, so werden die überschüssigen Kanäle verworfen. Wählt das Format f und die Anzahl der Bytes pro Sample, bps, für die Ausgabe der Filterschicht. Die Option bps ist eine ganze Zahl und gibt Bytes pro Sample an. Das Format f ist eine Zeichenkette, die das Format beschreibt und folgende Optionen aneinandergehängt enthalten kann:
    alaw, mulaw oder imaadpcm
    float oder int
    unsigned oder signed
    le oder be (Little- oder Big-Endian)
    Wählt das Lautstärkelevel der Ausgabe. Dieser Filter ist nicht reentrant (ablaufinvariant) und kann dementsprechend nur einmal pro Audiostream aufgerufen werden. v: Setzt die gewünschte Verstärkung in dB für alle Kanäle in diesem Stream. Die Verstärkung kann zwischen -200dB und +60dB liegen, wobei -200dB den Sound komplett verstummen lässt und +60dB einer 1000-fachen Verstärkung entspricht.
    sc: Aktiviert "Soft-Clipping". Mischt Kanäle beliebig. Details findest du (auf Englisch) in DOCS/HTML/en/audio.html. n: Anzahl der Eingabekanäle (1-6).
    lij: gibt an, wieviel vom Eingabekanal j in den Ausgabekanal i gemischt wird. Fügt einen Subwoofer-Kanal hinzu. fc: ab dieser Frequenz schneidet der Tiefpassfilter ab (20Hz bis 300Hz) (Standard: 60Hz).
    ch: Kanalnummer für die Sub-Kanäle. Decoder für Matrix-encodierten Surroundsound, funktioniert bei vielen Zweikanaldateien. d: Verzögerung in ms für den hinteren Lautsprecher (0ms bis 1000ms) (Standard: 15ms). Verzögert die Soundausgabe. Gib für jeden Kanal einzeln die Verzögerung der Soundausgabe in ms an (Fließkommazahl zwischen 0 und 1000). Exportiert das Eingangssignal an andere Prozesse mittels Memory Mapping (mmap()). mmapped_Datei: Datei, zur der die Daten exportiert werden sollen (Standard: ~/.mplayer/mplayer-af_export).
    nsamples: Anzahl der Samples pro Kanal (Standard: 512) Erhöht den Unterschied zwischen linken und rechten Kanälen, um der Wiedergabe eine Art "Live"-Effekt hinzuzufügen. mul: Differenz-Koeffizient (Standard: 2.5) Maximiert die Lautstärke, ohne den Klang zu verzerren.

-af-adv <force=(0-3):list=(Filter)> (siehe auch -af)
    Gibt erweiterte Audiofilteroptionen an: Erzwingt das Einfügen von Audiofiltern nach folgenden Regeln: 0: Komplett automatisches Einfügen (Standard)
    1: Optimiere auf Genauigkeit.
    2: Optimiere auf Geschwindigkeit.
    3: Schalte automatisches Einfügen ab. Das gleiche wie -af (siehe -af).

-afm <Treiber1,Treiber2,...>
    Gibt eine Prioritätsliste der zu verwendenden Audiocodecfamilien an, so wie sie in codecs.conf definiert wurden. Wenn keine der angegebenen Familien benutzt werden kann, so werden die Standardcodecs verwendet. ANMERKUNG:
    Mit -afm help erhälst du eine Liste aller verfügbaren Treiber.

    BEISPIEL: Probiert zuerst die Codecs von FFmpegs libavcodec. Probiert zuerst die Win32-Codecs.

-aspect <Verhältnis>
    Überschreibt das Höhen-/Breitenverhältnis des Films. Bei MPEG-Dateien wird das Verhältnis automatisch erkannt, bei den meisten AVI-Dateien ist dies nicht möglich.

    BEISPIEL: -aspect 4:3 oder -aspect 1.3333
    -aspect 16:9 oder -aspect 1.7777

-noaspect
    Deaktiviert die automatische Anpassung des Höhen-/Breitenverhältnisses.

-flip
    Stellt das Bild auf den Kopf (horizontales Spiegeln).

-lavdopts <Option1:Option2:...> (DEBUG-CODE)
    Gibt Parameter für das Decodieren mit libavcodec an.

    BEISPIEL: -lavdopts bug=1

    Verfügbare Optionen sind folgende:
Umgehe Fehler (Bugs) des Encoders manuell: 0: nichts
1: automatische Erkennung von Fehlern (Standard)
2 (msmpeg4v3): manche ältere, von lavc generierte msmpeg4v3-Dateien (keine automatische Erkennung)
4 (mpeg4): XviD-Interlacing-Fehler (automatisch erkannt bei fourcc==XVIX)
8 (mpeg4): UMP4 (automatisch erkannt bei fourcc==UMP4)
16 (mpeg4): Padding-Fehler (automatisch erkannt)
32 (mpeg4): Fehler durch ungültigen vlc (automatisch erkannt durch fourcc)
64 (mpeg4): qpel-Fehler bei XviD und DivX (automatisch erkannt durch fourcc/version)
128 (mpeg4): alter qpel-Standardfehler (automatisch erkannt durch fourcc/version)
256 (mpeg4): noch ein anderer qpel-Fehler (automatisch erkannt durch fourcc/version)
512 (mpeg4): Fehler bei direkter qpel-Blockgröße (automatisch erkannt durch fourcc/version)
1024 (mpeg4): Randfüllungsfehler (edge padding, automatisch erkannt durch fourcc/version) Debugging:
0: deaktiviert
1: Bildinformationen
2: Ratenkontrolle (Rate Control)
4: Bitstream
8: Makroblock-Typ (MB type)
16: Quantisierungsparameter (QP)
32: Motion-Vector (MV)
0x0040: Motion-Vector-Visualisierung (benutze -noslices)
0x0080: Überspringen des Makroblocks (MB)
0x0100: Startcode
0x0200: PTS
0x0400: Fehler-Belastbarkeit
0x0800: Speichermanagement-Kontrolloperationen (H.264)
0x1000: Fehler/Bugs Verbergen von Fehlern: 1: Benutze einen starken Deblock-Filter bei beschädigten Makroblöcken (MBs).
2: iterative Motion-Vector-Suche (langsam)
3: alles (Standard) Fehlerbehandlung:
0: deaktiviert
1: vorsichtig (Sollte mit den meisten fehlerhaften Encodern funktionieren.)
2: normal (Standard) (Funktioniert mit den meisten konformen Encodern.)
3: aggressiv (mehr Überprüfungen, die aber selbst bei konformen Daten Fehler liefern können)
4: sehr agressiv Aktiviere Optimierungen, die nicht den Spezifikationen entsprechen und möglicherweise Probleme verursachen können, wie beispielsweise einfachere Dequantisierung, angenommene Benutzung der Standardquantisierungsmatrix, YUV angenommen 4:2:0 und das Überspringen von ein paar Überprüfungen, die sonst vorgenommen werden, um fehlerhafte Bitstreams zu erkennen. Decodierung nur mit Graustufen (was ein bischen schneller als mit Farbe ist) Um die beste Decodierqualität zu erreichen, benutze denselben IDCT-Algorithmus für Encodierung und Decodierung. Dies kann allerdings auf Kosten der Genauigkeit gehen. Decodierung von niedrigeren Auflösungen. Dies wird nicht von allen Codecs unterstützt und wird oft in hässlichen Artefakten resultieren. Dies ist kein Bug sondern ein Nebeneffekt der Decodierung bei nicht voller Auflösung.
0: deaktiviert
1: 1/2 Auflösung
2: 1/4 Auflösung
3: 1/8 Auflösung Überspringe unten die angegebene Anzahl von Makroblockreihen. Überspringe oben die angegebene Anzahl von Makroblockreihen. vismv:
0: deaktiviert
1: Mache von P-Frames vorwärts vorausberechnete Motion-Vectors sichtbar.
2: Mache von B-Frames vorwärts vorausberechnete Motion-Vectors sichtbar.
4: Mache von B-Frames rückwärts vorausberechnete Motion-Vectors sichtbar. Gebe Statistiken aus und speichere sie in ./vstats_*.log.

-noslices
    Deaktiviert die Anzeige des Videos in 16-Pixel-hohen Streifen und stellt den kompletten Frame statt dessen in einem einzigen Durchgang dar. Dies kann die Darstellung schneller oder langsamer machen, abhängig von der Hardware/dem Cache. Dies hat nur einen Effekt bei den Codecfamilien libmpeg2 und libavcodec.

-nosound
    Spielt keinen Sound ab bzw. encodiert keinen Sound.

-novideo
    Spielt kein Video ab bzw. encodiert kein Video.

-oldpp <Qualität> (nur bei OpenDivX) (OBSOLET)
    Benutze den Postprocessing-Code von opendivx anstelle des internen. Das interne Postprocessing liefert bessere Qualität und Performance, ersetzt durch -pp. Der gültige Wertebereich für -oldpp variiert je nach Codec, ist meistens aber 0-6, wobei 0=deaktiviert und 6=langsamster/bester Modus bedeutet.

-pp <Qualität> (siehe auch -vf pp)
    Setzt das Postprocessing-Level der DLL. Diese Option kann nicht mehr in Verbindung mit -vf pp verwendet werden, sondern nur noch mit Win32-DirectShow-DLLs, die eigene interne Postprocessing-Routinen mitbringen. Der gültige Wertebereich für -pp variiert je nach Codec, ist meistens aber 0-6, wobei 0=deaktiviert und 6=langsamster/bester Modus bedeutet.

-pphelp (siehe auch -vf pp)
    Zeigt eine Zusammenfassung der vorhandenen Postprocessing-Filter und Nutzungshinweise an.

-ssf <Modus>
    Gibt die Parameter für den Softwareskalierer an.

    BEISPIEL: -vf scale -ssf lgb=3.0
gaußscher Unschärfefilter (beim Helligkeitsanteil) gaußscher Unschärfefilter (beim Farbanteil) Schärfefilter (beim Helligkeitsanteil) Schärfefilter (beim Farbanteil) Horizontale Verschiebung des Farbanteils Vertikale Verschiebung des Farbanteils

-stereo <Modus>
    Wählt den Typ der MP2/MP3-Stereoausgabe. Stereo Linker Kanal Rechter Kanal

-sws <Typ des Softwareskalierers> (siehe auch -vf scale und -zoom)
    Mit dieser Option wird die Qualität (und damit auch die Geschwindigkeit) des Softwareskalierers gewählt, der bei -zoom zum Einsatz kommt. Dieser wird beispielsweise bei x11 oder anderen Videotreibern benutzt, die keine Hardwarebeschleunigung bieten.

    Mögliche Werte sind:

    fast bilinear bilinear bicubic (gute Qualität) (Standard) experimental nearest neighbour (schlechte Qualität) area luma bicubic / chroma bilinear gauss sincR lanczos natural bicubic spline

    ANMERKUNG: Für -sws 2 und 7 kann die Schärfe mit dem Skalierungsparameter des Skalierungsfilters (-vf scale (0 (weich) - 100 (scharf))) gesetzt werden. Bei -sws 9 gibt dieser Parameter dagegen die Filterlänge an (1 - 10).

-vc <[-]Codec1,[-]Codec2,...[,]>
    Gibt eine Prioritätsliste der zu verwendenden Videocodecs an, so wie sie in codecs.conf definiert werden. Ein '-' vor dem Codecnamen deaktiviert diesen Codec. Wenn die Liste mit ',' endet, dann greift MPlayer auch auf auch nicht aufgeführte Codecs zurück.
    ANMERKUNG: Mit -vc help wird eine vollständige Liste der verfügbaren Codecs ausgegben.

    BEISPIEL: Erzwingt den Win32/VFW DivX-Codec; andere werden nicht ausprobiert. Probiet zuerst den divx4linux-Codec, danach andere, wenn dieser nicht funktioniert. Probiert alle Codecs außer den Win32-DivX-Codecs. Probiert zuerst libavcodecs MPEG-1/2-Codec, gefolgt von libmpeg2, und dann erst andere.

-vfm <Treiber1,Treiber2,...>
    Gibt eine Prioritätsliste der zu verwendenden Videocodecfamilien an, so wie sie in codecs.conf definiert werden. Wenn keine davon funktioniert, werden die Standardfamilien ausprobiert.
    ANMERKUNG: Mit -vfm help wird eine vollständige Liste der verfügbaren Videocodecfamilien ausgegeben.

    BEISPIEL: Probiert zuerst libavcodec, dann DirectShow, dann die VfW-Codecs und schließlich andere, falls keine der Familien funktioniert hat. Probiert zuerst die XAnim-Codecs.

-x <x> (nur bei MPlayer)
    Skaliert das Bild auf eine Breite von <x> (falls Software-/Hardwareskalierung verfügbar ist). Deaktiviert die Berechnung des Höhen-/Breitenverhältnisses.

-xvidopts <Option1:Option2:...>
    Gibt zusätzliche Parameter für die Decodierung mit XviD an.
    ANMERKUNG: Da libavcodec schneller als XviD ist, könntest du in Betracht ziehen, den Nachbearbeitungsfilter (-vf pp) und Decoder (-vfm ffmpeg) von libavcodec zu benutzen.

    XviD's interne Nachbearbeitungsfilter: Chrominanz-Deblock-Filter Luminanz-Deblock-Filter Luminanz-Deringing-Filter Chrominanz-Deringing-Filter Fügt dem Video künstlich Körnung hinzu. Kann die wahrgenommene Qualität erhöhen, während die eigentliche Qualität geringer ist.

    Methoden für das Rendern:
Aktiviert direktes Rendern mit Methode 2. Deaktiviert direktes Rendern mit Methode 2.

-xy <Wert>
    Skaliert das Bild um den Faktor <Wert>. Setzt die Bildbreite auf <Wert> und berechnet die Höhe so, dass das ursprüngliche Höhen-/Breitenverhältnis beibehalten wird.

-y <y> (nur bei MPlayer)
    Skaliert das Bild auf eine Höhe von <y> (falls Software-/Hardwareskalierung verfügbar ist). Deaktiviert die Berechnung des Höhen-/Breitenverhältnisses.

-zoom
    Lässt Softwareskalierung zu, wo sie verfügbar ist. Kann benutzt werden, um Skalierung mit -vf scale zu erzwingen.
    ANMERKUNG: -vf scale ignoriert die Optionen -x / -y / -xy / -fs / -aspect, wenn -zoom nicht angegeben wird.

VIDEOFILTER
Videofilter erlauben dir, den Videostream und seine Eigenschaften zu ändern. Die Syntax ist folgender:

-vf <Filter1[=Parameter1:Parameter2:...],Filter2,...>
    Aktiviert eine Videofilterkette zusammen mit ihren Optionen.

-vop <...,Filter2[=Parameter1:Parameter2:...],Filter1> (OBSOLET)
    Aktiviert eine Kette von Videofiltern zusammen mit ihren Optionen, die in umgekehrter Reihenfolge angewendet wird. Wurde ersetzt durch -vf.

Viele Parameter sind optional und werden teilweise mit Standardwerten belegt, wenn sie weggelassen werden. Mit '-1' werden die Standardwerte beibehalten. Die Parameter w:h bedeuten Breite (width) und Höhe (height); x:y bedeutet die x:y-Position relativ zur linken oberen Ecke des größeren Bildes.
ANMERKUNG: Eine vollständige Liste aller verfügbaren Plugins liefert -vf help.

Filter werden in Listen verwaltet. Es gibt ein paar Kommandos, um die Filterliste zu regeln.

-vf-add <Filter1[,Filter2,...]>
    Fügt die angegebenen Filter ans Ende der Filterliste hinzu.

-vf-pre <Filter1[,Filter2,...]>
    Fügt die angegebenen Filter an den Anfang der Filterliste hinzu.

-vf-del <Index1[,Index2,...]>
    Löscht die Filter an der angegebenen Indexposition. Indexnummern beginnen bei 0, negative Nummern adressieren das Ende der Liste (-1 ist der letzte).

-vf-clr
    Leert die Filterliste komplett.

Bei Filtern, die dies unterstützen, kannst Du auf Parameter über den Namen zugreifen.

-vf <filter>=help
    Gibt die Parameternamen und die gültigen Wertebereiche der Parameter für einen bestimmen Filter aus.

-vf <Filter=benannter_Parameter1=Wert1[:benannter_Parameter2=Wert2:...]>
    Setzt einen benannten Parameter auf den angegebenen Wert. Benutze 'on' und 'off' oder 'yes' und 'no', um Flag-Parameter zu setzen.

Die verfügbaren Filter sind folgende:

crop[=b:h:x:y]
    Schneidet den angegeben Teil des Bildes aus und verwirft den Rest. Nützlich, um schwarze Balken bei Widescreen-Filmen zu entfernen. Abgeschnittene Breite und Höhe, ist voreingestellt auf die originale Breite und Höhe. Position des abgeschnittenen Bildes, ist voreingestellt auf die Mitte.

cropdetect[=Limit:Rundung]
    Berechnet die Schneideparameter für den crop-Filter und gibt die empfohlenen Parameter auf die Standardausgabe aus. Schwellenwert, der optional angegeben werden kann als nichts (0) bis hin zu allem (255) (Standard: 24).
    Wert, durch den die Breite/Höhe teilbar sein sollte (Standard: 16). Der Offset wird automatisch angepasst, um das Video zu zentrieren. Benutze 2, um gerade Dimensionen zu bekommen (wird für 4:2:2-Video gebraucht). 16 ist beim Encodieren für die meisten Videocodecs die beste Wahl.

rectangle[=b:h:x:y]
    Das Plugin reagiert auf die Direktive 'change_rectangle' der Datei input.conf, die zwei Parameter entgegennimmt. Breite und Höhe (Standard: -1, maximal mögliche Breite, wobei die Begrenzungen sichtbar bleiben) Position der linken oberen Ecke (Standard: -1, ganz oben, ganz links)

expand[=b:h:x:y:o]
    Vergrößert das Bild ohne Skalierung auf die angegebene Größe und platziert das unskalierte Originalbild an die Koordinaten x/y. Kann benutzt werden, um die Platzierung des OSD/der Untertitel auf schwarzen Balken zu erreichen. Expandierte Breite,Höhe (Standard: originale Breite,Höhe). Negative Werte für b und h werden als Offsets zur Originalgröße behandelt.

    BEISPIEL:
expand=0:-50:0:0
    Fügt unterhalb des Bildes einen Rand von 50 Pixel ein.
Position des ursprünglichen Bildes im expandierten Bild (Standard: Mitte) Anzeige von OSD/Untertiteln 0: deaktiviert (Standard)
1: aktiviert

flip (siehe auch -flip)
    Stellt das Bild auf den Kopf.

mirror
    Spiegelt das Bild an der Y-Achse.

rotate[=<0-7>]
    Dreht das Bild um +/- 90 Grad (und stellt es optional auf den Kopf). Bei 4-7 wird das Bild nur dann gedreht, wenn es vorher hochkant war (es also höher als breit ist).

scale[=b:h[:interlaced[:chr_drop[:param[:param2[:presize]]]]]]
    Skaliert das Bild mit dem Softwareskalierer (langsam) und führt eine Farbraumkonvertierung zwischen YUV und RGB durch (siehe auch -sws). skalierte Breite/Höhe (Standard: originale Breite/Höhe)
    ANMERKUNG: Wenn -zoom benutzt wird und die unterliegenden Filter (inklusive libvo) Skalierung nicht unterstützen, werden die Werte d_width/d_height benutzt.
     0: skalierte d_width/d_height
    -1: originale Breite/Höhe
    -2: Berechne Breite/Höhe anhand der jeweils anderen Größe und dem vorskalierten Breiten-/Höhenverhältnis.
    -3: Berechne Breite/Höhe anhand der jeweils anderen Größe und dem originalen Breiten-/Höhenverhältnis. Schalte Interlaced-Skalierung an/aus. 0: aus (Standard)
    1: ein Chroma-Skipping, Auslassen von Chrominanz-Berechnungen 0: Benutze alle verfügbaren Eingabelinien für Chrominanz-Berechnungen.
    1: Benutze nur jede zweite Eingabelinie für Chrominanz-Berechnungen.
    2: Benutze nur jede vierte Eingabelinie für Chrominanz-Berechnungen.
    3: Benutze nur jede achte Eingabelinie für Chrominanz-Berechnungen. Setzt einige Skalierungsparameter abhängig vom Skalierer, der mit -sws gewählt wurde. -sws 2 (bicubic): B (weichzeichnend) und C (verstärkend)
    0.00:0.60 Standard
    0.00:0.75 "precise bicubic" von VirtualDub
    0.00:0.50 Catmull-Rom spline
    0.33:0.33 Mitchell-Netravali spline
    1.00:0.00 cubic B-spline
    -sws 7 (gaussian): Schärfe (0 (weich) - 100 (scharf))
    -sws 9 (lanczos): Filterlänge (1-10) Skaliere auf eine Standardgröße. qntsc: 352x240 (NTSC Quarter-Screen)
    qpal: 352x288 (PAL Quarter-Screen)
    ntsc: 720x480 (Standard-NTSC)
    pal: 720x576 (Standard-PAL)
    sntsc: 640x480 (NTSC mit quadratischen Pixeln)
    spal: 768x576 (PAL mit quadratischen Pixeln)

dsize={Aspekt|b:h}
    Ändert die beabsichtigte Displaygröße/den Aspekt an einer frei wählbaren Position der Filterkette. Der Aspekt kann als Bruch (4/3) oder Fließkommazahl (1.33) angegeben werden. Alternativ können exakte Wiedergabebreite und -höhe wie gewünscht angegeben werden. Beachte, dass dieser Filter selbst keine Skalierung vornimmt; er beeinflusst nur, was spätere Skalierer (Software oder Hardware) beim automatischen Skalieren tun werden, um den Aspekt zu korrigieren.

yuy2
    Erzwingt YV12/I420/422P zu YUY2-Konvertierung in Software. Nützlich bei Videokarten/Treibern mit langsamer YV12- aber schneller YUY2-Unterstützung.

B yvu9
    Erzwingt eine Software-Farbraumkonvertierung von YVU9 nach YV12. Zu Gunsten des Softwareskalierers abgelehnt.

yuvcsp
    Zieht die YUV-Farbwerte auf den CCIR 601-Bereich zusammen, ohne eine wirkliche Konvertierung vorzunehmen.

rgb2bgr[=swap]
    Farbraumkonvertierung RGB 24/32 <-> BGR 24/32 Führe auch eine R <-> B-Vertauschung durch.

palette
    Farbraumkonvertierung RGB/BGR 8 -> 15/16/24/32bpp unter Verwendung einer Farbpalette.

format[=fourcc]
    Beschränkt den Farbraum des nächsten Filters ohne wirkliche Konvertierung. Benutze ihn zusammen mit dem scale-Filter, um tatsächlich eine Konvertierung durchzuführen.
    ANMERKUNG: Für eine Liste der verfügbaren Formate siehe format=fmt=help. Formatname wie rgb15, bgr24, yv12 usw. (Standard: yuy2)

noformat[=fourcc]
    Beschränkt den Farbraum des nächsten Filters ohne wirkliche Konvertierung. Anders als der format-Filter erlaubt dieser jeden Farbraum außer dem von dir angegebenen.
    ANMERKUNG: Für eine Liste der verfügbaren Formate siehe noformat=fmt=help. Formatname wie rgb15, bgr24, yv12 usw. (Standard: yv12)

pp[=Filter1[:Option1[:Option2...]]/[-]Filter2...] (siehe auch -pphelp)
    Diese Option aktiviert die Benutzung von MPlayers internen Postprocessing-Filtern. Unterfilter müssen durch ein '/'-Zeichen voneinander getrennt werden und können durch ein vorangestelltes '-' deaktiviert werden. Mit einem ':' und einem der folgenden Buchstaben 'a', 'c' oder 'y' angehängt hinter der Option kann angegeben werden, wann/wie der Filter arbeitet (Standard: c). Schalte den Unterfilter automatisch aus, falls die CPU zu langsam ist. Führe außerdem Chrominanz-Filterung durch. Führe Luminanz-Filterung durch (keine Chrominanz).

    ANMERKUNG: -pphelp zeigt eine Liste der verfügbaren Unterfilter.

    BEISPIEL:
horizontales und vertikales Deblocking, Abschwächung und automatische Helligkeit/Kontrast horizontales und vertikales Deblocking, Abschwächung, automatische Helligkeit/Kontrast und linearer Mischungsdeinterlacer Standardfilter ohne Helligkeits-/Kontrastkorrektur Aktiviert Standardfilter und temporäre Rauschunterdrücker. Horizontales Deblocking nur luminanz-bezogen, schaltet vertikales Deblocking je nach verfügbarer CPU-Auslastung hinzu.

spp[=Qualität[:qp[:Modus]]]
    einfacher Nachbearbeitungsfilter 0-6 (Standard: 3) Erzwinge Quantisierungsparameter (Standard: 0, benutze QP vom Video). 0: harter Schwellenwert (Standard)
    1: weicher Schwellenwert (bessere Entschärfung, aber unschärfer)

qp=Gleichung
    Quantisierungsparameter- (QP) Wechselfilter eine Gleichung wie "2+2*sin(PI*qp)"

test
    Generiere verschiedene Testmuster.

rgbtest
    Generiere ein RGB-Testmuster, nützlich, um RGB/BGR-Probleme zu erkennen. Du solltest einen roten, grünen und blauen Streifen von oben nach unten sehen.

lavc[=Qualität:fps]
    Schnelle Softwarekonvertierung mit libavcodec für die Benutzung von DVB/DXR3. Schnellere und bessere Qualität als mit -vf fame. 1-31: feste qscale
    32-: feste Bitrate in kBit Erzwinge Ausgabe-fps (Fließkommawert) (Standard: 0, automatische Erkennung basierend auf Höhe)

fame
    Schnelle Softwarekonvertierung mit libfame für die Benutzung von DVB/DXR3.

dvbscale[=Verhältnis]
    Wählt die optimale Skalierung für DVB-Karten, skaliert hardwareseitig die X-Achse und berecht die Y-Achse softwareseitig, um den Aspekt beizubehalten. Nützlich nur in Verbindung mit expand und scale. Kontrolliere das Seitenverhältnis, berechnet durch DVB_HÖHE*VERHÄLTNIS (Standard: 576*4/3=768), setze auf 576*(16/9)=1024 für einen 16:9-Fernseher.

    BEISPIEL:

noise[=Helligkeit[u][t|a][h][p]:Farbwert[u][t|a][h][p]]
    Fügt Rauschen hinzu. Helligkeitsrauschen Farbrauschen gleichförmiges Rauschen (sonst gaußsch) temporäres Rauschen (Rauschmuster wechselt zwischen Bildern) gemitteltes temporäres Rauschen (weicher, aber viel langsamener) hohe Qualität (sieht etwas besser aus, dafür etwas langsamer) Mische Rauschen mit einem (halbwegs) gleichmäßigen Muster

denoise3d[=Helligkeit:Farbwert:Zeit]
    Dieser Filter versucht, Bildrauschen zu unterdrücken und so bewegungslose Bilder wirklich statisch zu machen (was das Bild besser komprimierbar macht). räumliche Helligkeitsstärke (Standard = 4) räumliche Farbstärke (Standard = 3) zeitliche Stärke (Standard = 6)

hqdn3d[=Helligkeit:Farbwert:Zeit]
    Hochpräzise und -qualitative Version des Denoise3d-Filters. Parameter und Gebrauch sind dieselben.

eq[=Helligkeit:Kontrast] (OBSOLET)
    Softwareequalizer mit interaktiver Kontrolle wie beim Hardwareequalizer, für Karten/Treiber, die die Kontrolle über Helligkeit und Kontrast via Hardware nicht unterstützen. Die Werte können zwischen -100 und 100 liegen. Kann in Verbindung mit MEncoder nützlich sein, einerseits, um schlecht auf genommene Filme zu reparieren, und zum anderen, um Artifakte zu maskieren und niedrigere Bitraten benutzen zu können.

eq2[=gamma:Kontrast:Helligkeit:Sättigung:rg:gg:bg:weight]
    Alternativer Softwareequalizer, der Lookup-Tabellen benutzt (sehr langsam). Er erlaubt neben simpler Anpassung der Helligkeit, des Kontrastes und der Sättigung auch eine Gammakorrektur. Beachte, dass er den gleichen MMX-optimierten Code benutzt wie der eq-Filter, wenn alle Gammawerte 1.0 betragen! Die Parameter werden als Fließkommazahlen angegeben. Gammawert der roten Komponente Gammawert der grünen Komponente Gammawert der blauen Komponente
Die Parameter rg, gg, bg sind unabhängige Gammawerte für die einzelnen Farbkomponenten Rot, Grün und Blau. Der Parameter weight kann verwendet werden, um die Wirkung hoher Gammawerte auf helle Bildbereiche zu reduzieren, sie also davon abzuhalten zu übersteuern und ganz weiss zu werden. Bei 0.0 hat die Gammakorrektur gar keinen Effekt mehr, bei 1.0 hat sie die volle Stärke. Standardwerte sind gamma=1.0, Kontrast=1.0, Helligkeit=0.0, Sättigung=1.0 und weight=1.0. Die Wertebereiche betragen 0.1-10 für gamma, -2-2 für Kontrast (negative Werte invertieren das Bild), -1-1 für die Helligkeit, 0-3 für die Sättigung und 0-1 für weight.

hue[=Farbton:Sättigung]
    Standardwerte sind Farbton=0.0 und Sättigung=1.0. Die Wertebereiche sind -180-180 für den Farbton und -2-2 für die Sättigung (negative Werte resultieren in umgekehrten Farbwerten).

halfpack[=f]
    Konvertiert planaeres YUV 4:2:0 in halbhohes, gepacktes 4:2:2, wobei der Farbanteil beibehalten und die Helligkeit nach unten angepasst wird. Nützlich bei Ausgaben auf Geräte mit niedriger Auflösung, bei denen die Hardwareskalierung schlechte Qualität liefert oder nicht verfügbar ist. Kann auch als primitiver Deinterlacer benutzt werden, der nur auf dem Helligkeitsanteil arbeitet und sehr wenig CPU-Leistung erfordert. Standardmäßig bildet halfpack den Durchschnitt mehrer Zeilen beim Downsampling. Der optionale Parameter f steuert, welche Zeilen erhalten bleiben: bei 0 nur die geraden, bei 1 nur die ungeraden. Andere Werte für f aktivieren das Standardverhalten (Durchschnittsbildung).

ilpack[=Modus]
    Wenn interlaced-Videos in YUV 4:2:0-Formaten gespeichert wird, wird das Interlacing der Chrominanz wegen vertikalen Resamplings der Chrominanzkanäle nicht an den richtigen Stellen dargestellt. Dieser Filter packt die planaren 4:2:0-Daten in das YUY2 (4:2:2)-Format mit den Chrominanzlinien an den richten Stellen. So kommen die Daten für Helligkeit und Chrominanz für jede Linie vom selben Feld. Das optionale Argument wählt den Sampling-Modus. Als Standard wird die lineare Interpolation (Modus 1) verwendet. Modus 0 verwendet die Sampling-Methode des nächstgelegenen Nachbars (nearest-neighbor), welche schnell aber unkorrekt arbeitet.

harddup
    Nur in Verbindung mit MEncoder nützlich. Wenn harddup bei der Encodierung verwendet wird, sorgt es dafür, daß doppelte Frames auch im encodierten Output doppelt vorkommen. Dies verbraucht sehr wenig mehr an Platz, ist jedoch für die Ausgabe in MPEG-Dateien nötig oder dann, wenn der Videostream nach der Encodierung getrennt und neu zusammengesetzt werden soll (demux bzw. remux). Die Option sollte am oder nahe am Ende der Filterkette stehen, es sei denn, du hast einen guten Grund, es anders zu machen.

softskip
    Nur in Verbindung mit MEncoder nützlich. Softskip verschiebt den Schritt des Encodierungsvorgangs, Frames zu Überspringen (Wegzulassen) von der Position vor der Filterkette in die Filterkette hinein. Dies erlaubt denjenigen Filtern, die alle Frames untersuchen müssen (umgekehrtes Telecine, temporäre Rauschunterdrückung), korrekt zu arbeiten. Sollte nach den Filtern, die alle Frames untersuchen müssen, platziert werden und vor all denjenigen, die CPU-intensiv sind.

decimate[=max:hi:lo:frac]
    Lässt Frames weg, die sich nicht sehr on den vorigen unterscheiden, um die Framerate zu reduzieren. Das Argument max (falls positiv) setzt eine obere Grenze für die Anzahl aufeinanderfolgender Frames, die weggelassen werden können, sonst (falls negativ) das kleinste Intervall zwischen weggelassenen Frames. Ein Frame ist Kanditat dafür, weggelassen zu werden, falls keine 8x8-Region sich mehr unterscheidet als der Schwellenwert hi angibt und falls sich nicht mehr als der Anteil frac angibt (wobei 1 das ganze Bild bedeutet) vom Schwellenwert lo unterscheidet. Werte für hi und lo beziehen sich auf 8x8-Pixelblöcke und repräsentieren aktuelle Unterschiede der Pixelwerte. Ein Schwellenwert von 64 entspricht einer Einheit im Unterschied für jeden Pixel oder derselben unterschiedlichen Ausbreitung über einen Block. Die Hauptanwendung für diesen Filter ist die Encodierung bei sehr niedrigen Bitraten (z.B. Streaming über eine Modemverbindung), er kann aber theoretisch auch dazu benutzt werden, um Filme zu reparieren, die mit inversed-telecine fehlerhaft encodiert worden sind.

dint[=sense:level]
    Erkennt interlaced Bilder im Videostream und verwirft jeweils das erste. Die Werte können zwischen 0.0 und 1.0 liegen. Der erste Wert (Standard: 0.1) ist die relative Differenz zwischen benachbarten Pixeln, der zweite Wert (Standard: 0.15) gibt an, wieviel des Bildes als interlaced erkannt werden muss, damit das Bild verworfen wird.

lavcdeint
    Deinterlace-Filter von libavcodec.

kerndeint[=thresh[:map[:order[:sharp[:twoway]]]]]
    Donald Grafts adaptiver Kernel-Deinterlacer. Führt ein Deinterlacing von Teilen des Videos durch, falls ein wählbarer Schwellenwert überschritten wird. Schwellenwert (Standard 10). Färbt Pixel, die den Schwellenwert überschreiten, weiß (Standard: 0). Tauscht Felder falls 1 (Standard: 0). Fügt zusätzlich Schärfe hinzu (Standard: 0). Aktiviert zwei-Wege-Schärfung (Standard: 0).

unsharp=l|cBxH:Menge[:l|cWxH:Menge]
    Unschärfefilter / Gaußscher Weichzeichner
    Wendet den Effekt auf den Helligkeitsanteil an. Wendet den Effekt auf den Farbanteil an. Breite und Höhe der Matrix, die in beide Richtungen ungerade sein muss (min = 3x3, max = 13x11 oder 11x13, normalerweise zwischen 3x3 und 7x7). relative "Menge" der Schärfe/Unschärfe, die dem Bild hinzugefügt wird (ein vernünftiger Bereich ist -1.5-1.5). <0: weichzeichnen
    >0: schärfen

swapuv
    Vertauscht die U- und V-Ebene.

il=[d|i][s][:[d|i][s]]
    Führt ein (De)Interleaving von Zeilen durch. Das Ziel dieses Filters ist es, die Bearbeitung von interlaced Bildern zu ermöglichen, ohne sie vorher zu deinterlacen. Du kannst eine interlaced DVD filtern und am Fernseher ausgeben, ohne das Interlacing zu entfernen. Die meisten Filter deinterlacen permanent (smoothing, averaging, etc). Dieser Filter hingegen teilt das Bild in zwei Felder auf (sogenannte Halbbilder), so dass diese unabhängig voneinander gefiltert und wieder interleavt werden können. deinterleave, entschachteln (einen über dem anderen plazieren) interleave, verschachteln vertauschen der Felder (gerade und ungerade Zeilen austauschen)

fil=[i|d]
    Führt ein (De)Interleaving von Zeilen durch. Dieser Filter ist dem il-Filter sehr ähnlich, jedoch viel schneller. Der Hauptnachteil ist, dass er nicht immer funktioniert. Besonders in Kombination mit anderen Filtern kann es zu zufällig gestörten Bildern kommen. Sei also froh, wenn es funktioniert, beschwere dich aber nicht, falls bei deiner Kombination der Filter Fehler auftreten. Deinterleave der Felder, platziert beide Seite an Seite. Erneutes Interleave der Felder (kehrt den Effekt von fil=d um).

field[=n]
    Extrahiert ein einzelnes Feld eines interlaceten Bildes mit Stride-Arithmetik, um Verschwendung von CPU-Zeit zu vermeiden. Der optionale Parameter n gibt an, ob das gerade oder ungerade Feld extrahiert wird (abhängig davon, ob n selber gerade oder ungerade ist).

detc[=Var1=Wert1:Var2=Wert2:...]
    Versucht, den 'Telecine'-Prozess umzukehren, um einen sauberen, nicht-interlaced-Stream mit der Framerate des Films wiederherzustellen. Dieser war der erste und primitivste Inverse-Telecine-Filter, der zu MPlayer/MEncoder hinzugefügt wurde. Er speichert Telecine-3:2-Muster zwischen und folgt ihnen soweit wie möglich. Dies macht in tauglich für perfekt-telecined Material, selbst bei Vorhandensein eines gewissen Grades an Störung. Er wird jedoch nicht funktionieren bei Vorhandensein komplexer Post-Telecine-Änderungen. Die Entwicklung an diesem Filter findet nicht weiter statt, da ivtc, pullup und filmdint für die meisten Anwendungen besser geeignet sind. Die folgenden Argumente (Syntax siehe oben) steuern das Verhalten des detc-Filters: Setzt den Framedropping-Modus. 0 (Standard) bedeutet, dass kein Frame ausgelassen wird, um die Framerate der Ausgabe beizubehalten. 1 bedeutet, dass ein Frame ausgelassen wird, wenn es keine Auslassungen oder Telecine-Zusammenführungen innerhalb der letzten 5 Frames gab. 2 bedeutet, dass ein ständiges Verhältnis von 5:4 der Eingabe zur Ausgabe beibehalten wird.
    ANMERKUNG: Benutze Modus 1 oder 2 mit MEncoder. Analyse-Modus. Verfügbare Werte sind 0 (festgelegtes Muster mit initialer Anzahl der Frames angegeben durch fr=#) aund 1 (aggressive Suche nach Telecine-Muster). Standard ist 1. Setzt die initiale Anzahl der Frames in Folge. 0-2 sind die drei sauberen, progressiven Frames; 3 und 4 sind die beiden interlaced-Frames. Der Standardwert, -1, bedeutet 'nicht in Telecine-Abfolge'. Die hier angegebene Zahl gibt den Typ des imaginären vorigen Frames an, bevor der Film beginnt. Schwellenwerte, die in bestimmten Modi verwendet werden.

ivtc[=1]
    Experimenteller 'zustandsloser' Inverse-Telecine-Filter. Anstatt zu versuchen, ein Muster zu finden, wie es der dect-Filter tut, trifft ivtc seine Entscheidungen unabhängig für jeden Frame. Dies liefert wesentlich bessere Resultate für Material, das ausgiebiger Editierung unterzogen wurde, nachdem Telecine angewendet wurde. Im Endeffekt ist es jedoch nicht so nachsichtig bei leicht gestörtem Input, wie bei Capturing von TV-Input. Der optionale Parameter (ivtc=1) entspricht der Option dr=1 des detc-Filters und sollte nur von MEncoder, nicht von MPlayer verwendet werden. Wie bei detc muß auch hier bei Benutzung von MEncoder die korrekte Ausgabe-Framerate (-ofps 23.976) angegeben werden. Die Entwicklung an itvc findet nicht weiter statt, da die Filter pullup und filmident genauer zu sein scheinen.

pullup[=jl:jr:jo:ju:sb:mp]Pulldown-Umkehrungs- (inverse telecine) Filter der dritten Generation, der
    mixed hard-telecine und Progressive-Material mit 24 und 30 fps handhaben kann. Der Pullup-Filer ist wesentlich robuster als detc oder ivtc, da er für Entscheidungen zukünftigen Kontext zurate zieht. Wie ivtc auch ist Pullup zustandslos in dem Sinne, dass er nicht nach einem zu folgenden Muster sucht, sondern stattdessen nach vorne schaut, um Gegenstücke zu finden und progressive Frames zusammenzusetzen. Der Filter befindet sich noch in der Entwicklung, scheint aber akkurat zu arbeiten. Die Optionen jl, jr, jo, und ju bestimmen die zu ignorierende Menge "Müll" links, rechts, oben und unten am Bildrand, respektive. Links/rechts sind in Einheiten von 8 Pixeln anzugeben, oben/unten in Einheiten von 2 Zeilen. Der Standardwert ist 8 Pixel an jeder Seite. Setzen der Option sb (strict breaks) auf 1 reduziert die Chancen von Pullup, gelegentlich einen falsch getroffenen Frame zu generieren. Es kann jedoch auch dazu führen, dass während schnellbewegten Szenen eine exzessive Anzahl an Frames ausgelassen wird. Im Gegensatz dazu führt ein Setzen auf -1 dazu, dass Pullup Felder leichter zuordnet. Dies kann helfen beim Verarbeiten von Videomaterial, das zwischen Feldern leicht verwischt ist, jedoch kann es auch zu interlaced Frames in der Ausgabe führen. Die Option mp (metric plane) kann auf 1 oder 2 gesetzt werden, um bei den Berechnungen von Pullup eine Chrominanzebene anstelle einer Helligkeitsebene zu verwenden. Dies kann die Genauigkeit bei sehr sauberem Quellmaterial verbessern, vermutlich wird die Qualitätt jedoch verschlechtert, vor allem wenn es sich um Videomaterial in Graustufen handelt oder Regenbogeneffekte sichbar sind. Der vorwiegende Zweck vom Setzen von mp auf Chrominanzebene ist, die CPU-Auslastung zu verringern und Pullup in Realtime oder auf langsamen Maschinen zu benutzen.
    ANMERKUNG: Lasse beim Encodieren auf jede Anwendung von Pullup den Filter softskip folgen. Dies stellt sicher, dass Pullup jeden Frame betrachtet. Falls dies nicht geschieht, führt dies zu einer unkorrekten Ausgabe und wird auf Grund von Designbeschränkungen auf Codec-/Filterebene normalerweise abbrechen.

boxblur=Radius:Stärke[:Radius:Stärke]
    Kastenunschärfe (?) Radius: Größe des Filters
    Stärke: wie oft der Filter angewandt wird shape adaptive blur Radius: Stärke des Glättungsfilters (~0.1-4.0) (je größer desto langsamer)
    pfilter: prefilter-Stärke (~0.1-2.0)
    cDiff: wie ungleich Pixel maximal sein dürfen, um noch benutzt zu werden (~0.1-100.0) smart blur Radius: Stärke des Glättungsfilters (~0.1-5.0) (je größer desto langsamer)
    Stärke: glätten (0.0-1.0) oder schärfen (-1.0-0.0)
    thresh: filtere alles (0), filtere nur gleichförmige Beriche (0-30) oder filtere nur Kanten (-30-0) perspektivische Korrektur x0,y0,...: Koordinaten der Ecken links oben, rechts oben, links unten, rechts unten
    t: linear (0) oder cubic resampling (1) Benutzt den 2x-Skalier- und Interpolationsalgorithmus für die Skalierung und Glättung des Bildes. Konvertierung von 1bpp-Bitmaps nach YUV/BGR 8/15/16/32 Liest Bitmaps von einem FIFO und zeigt sie im Fenster an. hidden: setzt den Standardwert des 'hidden'-Flag (Boolean)
    opaque: schaltet zwischen Alphablending (transparent) und opaque (schnell) um
    fifo: Pfad und Dateiname des FIFOs (eine named pipe, die mplayer -vf bmovl mit der kontrollierenden Anwendung verknüpft)
    FIFO-Kommandos:
RGBA32 Breite Höhe xpos ypos alpha clear
gefolgt von Breite*Höhe*4 Bytes RGBA32-Daten. ABGR32 Breite Höhe xpos ypos alpha clear
gefolgt von Breite*Höhe*4 Bytes ABGR32-Daten. RGB24 Breite Höhe xpos ypos alpha clear
gefolgt von Breite*Höhe*3 Bytes RGB32-Daten. BGR24 Breite Höhe xpos ypos alpha clear
gefolgt von Breite*Höhe*3 bytes BGR32-Daten. ALPHA Breite Höhe xpos ypos alpha
ändert Alpha für den Bereich CLEAR Breite Höhe xpos ypos
löscht den Bereich OPAQUE
deaktiviert die Alphatransparenz. Schicke "ALPHA 0 0 0 0 0", um sie wieder zu aktivieren. HIDE
versteckt die Bitmap SHOW
zeigt die Bitmap an
    Argumente:
Breite, Höhe: Größe des Bildes/Bereiches.
xpos, ypos: fange an Position X/Y an
alpha: setzt die Alphadifferenz. 0 bedeutet gleich wie beim Quellbild, 255 keine Transparenz, -255 komplett transparent. Wenn du den Wert auf -255 setzt, dann kannst du mit einer Sequenz von ALPHA-Kommandos den Bereich auf -225, -200, -175 etc setzen, um einen netten Fade-In-Effekt zu erzielen ;)
clear: löscht den Framebuffer vor dem Blitten. 1 beduetet löschen. Bei 0 wird das Bild einfach auf das vorhandene geschrieben, sodass du nicht immer 1,8MB RGBA32-Daten schicken musst, wenn sich nur ein kleiner Teil des Bildschirms ändert.

ENCODING-OPTIONEN (NUR BEI MENCODER)

-audio-density <1-50>
    Anzahl der Audioblöcke pro Sekunde (Standard ist 2, was in 0.5s langen Audioblöcken resultiert). ANMERKUNG:
    Nur bei CBR (konstanter Bitrate). VBR (variable Bitrate) ignoriert diese Einstellung, da jedes Paket in einen eigenen Block kommt.

-audio-delay <0.0-...>
    Setzt das Audioverzögerungsfeld im Dateikopf. Standardwert ist 0.0. Negative Werte funktionieren nicht. Diese Option verzögert den Ton nicht während des Encodierens, sondern der Player wird beim Abspielen den Ton verzögern, sodass du dann nicht mehr -delay angeben musst.

-audio-preload <0.0-2.0>
    Setzt Audiopuffer-Zeitintervall (Standardwert: 0.5s).

-divx4opts <option1:option2:...>
    Wenn du mit DivX4 encodierst, dann kannst du hier die Parameter angeben.
    Die verfügbaren Parameter lauten: gibt einen Hilfstext aus gibt die Bitrate in kbit <4-16000> oder in
    bit <16001-24000000> an maximale Anzahl Bilder zwischen zwei Schlüsselbildern (key frames) aktiviert Deinterlacing (vermeide das, da es bei DivX4 buggy ist. Nimm lieber einen der Postprocessing-Filter dafür.) Qualitätslevel (1-am schnellsten, 5-am besten) minimaler Quantizer maximaler Quantizer Bitratenkontrollzeitrahmen Reaktionszeitrahmen für die Bitratenkontrolle Reaktionsverhältnis für die Bitratenkontrolle gibt Schärfe/Glätte an Mit dieser Option können DivX4-Dateien in zwei Durchläufen erstellt werden. Zuerst encodierst du mit pass=1, dann mit denselben Parametern und pass=2 anstelle von pass=1. Überschreibt die pass-Option und aktiviert den VBR-Code von XviD anstelle des DivX4-VBR-Codes. Verfügbare Optionen sind: 0: Encodieren in einem Durchlauf (als ob pass überhaupt nicht verwendet würde)
    1: Analyse bzw. erster Durchlauf. Das erstellte AVI kann nach /dev/null umgeleitet werden.
    2: Finaler zweiter Durchlauf

-endpos <[[hh:]mm:]ss[.ms]|Größe[b|kb|mb]> (siehe auch -ss und -sb)
    Beende das Encodieren nach der angegeben Zeit oder Byteposition. Kann auf verschiedene Art angegeben werden: ANMERKUNG:
    Die Byteposition ist nicht exakt, da mencoder nur an Bildgrenzen mit dem Encodieren aufhören kann. BEISPIEL: Encodiere nur 56 Sekunden Encodiere nur 1 Stunde 10 Minuten Encodiere nur 100 MBytes

-ffourcc <fourcc>
    Hiermit wird die Video-FourCC der Ausgabedatei überschrieben. BEISPIEL: setzt das FourCC-Feld in der Ausgabedatei auf 'div3'.

-include <Konfigurationsdatei>
    Gibt eine nach den Standardkonfigurationsdateien zu lesende Datei an.

-info <option1:option2:...> (nur für .AVIs)
    Gibt die Werte für den Info-Header des resultierenden .AVIs an.
    Verfügbare Optionen sind: zeigt diese Beschreibung Titel oder Thema des Films Artist oder Autor des Originalfilms Kategorie oder Genre des Films Inhalt der Datei Copyright-Informationen für diese Datei Urpsrungsform des digitalisierten Materials allgemeine Kommentare über die Datei oder den thematischen Inhalt

-lameopts <option1:option2:...>
    Wenn Audio nach MP3 mit der libmp3lame encodiert wird, kannst du hier die Parameter angeben.
    Verfügbare Optionen sind: liefert einen Hilfstext zu verwendender Bitratenmodus 0: cbr
    1: mt
    2: rh (Standard)
    3: abr
    4: mtrh durchschnittliche (average) Bitrate konstante Bitrate
    Erzwingt also CBR-Modus auch bei ABR-Presets. gibt die Bitrate in kBit/s an (nur bei CBR und ABR) Qualität (0-höchste, 9-niedrigste) (nur bei VBR) Qualität des Algorithmus (0-am besten/langsamsten, 9-am schlechtesten/schnellsten) Kompressionsverhältnis setzt die Audioeingangsverstärkung (Standardwert: auto) 0: stereo
    1: joint-stereo
    2: dualchannel
    3: mono 0: kein Padding
    1: alles
    2: automatische Anpassung Aktiviert schnelles Encodieren bei nachfolgenden VBR-Presets. Etwas schlechtere Qualität und höhere Bitraten sind die Nachteile. Stellt Presets für die bestmöglichen Qualitätseinstellungen zur Verfügung: +.RSss medium: VBR-Encodierung, gute Qualität, Bitrate ca. 150-180 kbps.
    standard: VBR-Encodierung, hohe Qualität, Bitrate ca. 170-210 kbps.
    extreme: VBR-Encodierung, sehr hohe Qualität, Bitrate ca. 200-140 kbps.
    instane: CBR-Encodierung, Preset mit der besten Qualität, Bitrate 320 kbps.
    <8-320>: ABR-Encodierung mit der gegebenen Bitrate.
BEISPIELE: Für die meisten Leute reicht das aus und bietet schon ziemlich gute Qualität. Encodiere mit ABR-Preset bei 192 kbps und konstanter Bitrate. Encodiere mit ABR-Preset bei einer durchschnittlichen Bitrate von 172 kbps. Für Menschen mit einem sehr guten Gehör und entsprechender HiFi-Ausstattung. Gibt Informationen über die Presets und über weitere Optionen aus.

-lavcopts <option1:option2:...>
    Wenn du mit libavcodec encodierst, kannst du hiermit die Optionen angeben. BEISPIEL: -lavcopts vcodec=msmpeg4:vbitrate=1800:vhq:keyint=250
    (FIXME) Verfügbare Optionen sind:

threads=<1-8>
    Maximale Anzahl benutzter Threads (Standardwert: 1).

benutzt den angegeben Codec (kein Standardwert, du musst einen angeben):
    mjpeg: Motion JPEG
    h263: H263
    h263p: H263 Plus
    mpeg4: DivX 4/5
    msmpeg4: DivX 3
    rv10: ein alter RealVideo-Codec
    mpeg1video: MPEG-1-Video :) minimaler Quantizer (bei Durchgang 1/2) (Standardwert: 2) konstate Quantizer (wählt einen Modus mit fest vorgegebenen Quantizern) (Standardwert: 0 (ausgeschaltet)) maximaler Quantizer (bei Durchgang 1/2) (Standardwert: 31) minimale Makroblock-Quantizer (bei Durchgang 1/2) (Standardwert: 2) maximale Makroblock-Quantizer (bei Durchgang 1/2) (Standardwert: 31) maximale Differenz der Quantizer zwischen I- oder P-Bildern (bei Durchgang 1/2) (Standardwert: 3) maximale Anzahl von B-Frames zwischen Nicht-B-Frames: 0: keine B-Frames (Standard)
    0-2: sinnvolle Werte Modus der Bewegungsvoraussage: 0: keine (sehr niedrige Qualität)
    1: voll (langsam)
    2: log (lq)
    3: phods (lq)
    4: EPZS (Standard)
    5: X1 (experimentell) Modus für hohe Qualität. Encodiert jeden Makroblock in allen Modi und wählt dann das kleinste Ergebnis (langsam) (Standard: hohe Qualität deaktiviert) vier Motion-Vectors pro Makroblock (etwas bessere Qualität) (standardmäßig deaktivert). Maximale Anzahl von Bildern zwischen zwie Schlüsselbildern (key frames). Größere Intervalle resultieren in kleineren Dateien aber ungenauerem Spulen. Ein Wert von 0 bedeutet keine Schlüsselbilder, und Werte > 300 sind nicht empfehlenswert. Bei strikter Einhaltung des MPEG-1/2/4-Standards muss der Wert <= 132 sein (Standardwert: 250, was einem Schlüsselbild alle zehn Sekunden bei einem 25fps-Film bedeutet). Strategie, mit der zwischen I/P/B-Frames gewählt wird (beim zweiten Durchgang). 0: Benutzt immer die maximale Anzahl von B-Frames (Standard).
    1: Vermeidet B-Frames in Szenen mit viel Bewegung (was zu falschen Vorhersagen bei der Bitrate führt). Aktiviert den internen Modus für zwei Durchgänge (standardmäßig deaktiviert): 1: erster Durchgang
    2: zweiter Durchgang Speichert das Höhen-/:Breitenverhältnis intern im Videostream, genauso wie bei MPEG-1/2. Deutlich bessere Lösung als Skalierung, da hierbei die Qualität nicht gemindert wird. Momentan kann nur MPlayer solche Dateien mit dem richtigen Verhältnis wiedergeben, andere Player zeigen ein falsches Verhältnis. Beispiel: aspect=16.0/9.0 gibt die Bitrate (bei Durchgang 1/2) in specify bitrate (pass 1/2) in kBit <4-16000> oder
    Bit <16001-24000000> an
    (Warnung: 1kBit = 1000 Bits)
    (Standardwert: 800) ungefähre Dateigrößentoleranz in kbit (Warnung: 1kBit = 1000 Bits) (Standardwert: 8000) maximale Bitrate in kbit/sec (Durchgang 1/2) minimale Bitrate in kbit/sec (Durchgang 1/2) Puffergröße in kbit (Durchgang 1/2) Anmerkung: vratetol sollte während des zweiten Durchgangs nicht zu hoch gesetzt werden, da ansonsten Probleme auftreten können, wenn vrc_(min|max)rate benutzt wird. Quantizer-Faktor zwischen B- und Nicht-B-Frames (Durchgang 1/2) (Standardwert: 1.25) Quantizer-Faktor zwischen I- und Nicht-I-Frames (Durchgang 1/2) (Standardwert: 0.8) Quantizer-Offset zwischen B- und Nicht-B-Frames (Durchgang 1/2) (Standardwert: 1.25) Quantizer-Offset zwischen I- und Nicht-I-Frames (Durchgang 1/2) (Standardwert: 0.0)
    if v{b|i}_qfactor > 0 then
    I/B-Frame-Quantizer = P-Frame-Quantizer * v{b|i}_qfactor + v{b|i}_qoffset
    else
    benutze die normale Bitratenkontrolle (lege den nächsten P-Frame-Quantizer nicht fest) und setze q= -q * v{b|i}_qfactor + v{b|i}_qoffset Quantizer-Glättung (Durchgang 1): 0.0: qblur deaktiviert
    0.5 (Standard)
    1.0: wähle einen Durchschnittsquantizer aller vorhergehender Frames. Größere Werte bilden den Durchschnitt über mehr Frames (langsamerer Wechsel). Gaußsche Unschärfe für die Quantizer. Größere Werte bilden den Durchschnitt über mehr Frames (langsamerer Wechsel) (Durchgang 2) (Standardwert: 0.5). Quantizer-Kompression, hängt von vrc_eq ab (Durchgang 1/2) (Standardwert: 0.5) hauptsächlich verwendete Gleichung für die Bitratenkontrolle (Durchgang 1/2): 1: konstant Bitrate
    tex: konstante Qualität
    1+(tex/avgTex-1)*qComp: ungefähr die Gleichung der alten Bitratenkontrolle code
    tex^qComp: mit qcomp = 0.5 oder einem ähnlichen Wert (Standard) Infixoperatoren: +,-,*,/,^ Variables:
    tex: Texturkomplexität
    iTex,pTex: Intra- und Nicht-Intra-Texturkomplexität
    avgTex: durchschnittliche Texturkomplexität
    avgIITexaverage: Intra-Texturkomplexität bei I-Frames
    avgPITexaverage: Intra-Texturkomplexität bei P-Frames
    avgPPTexaverage: Nicht-Intra-Texturkomplexität bei P-Frames
    avgBPTexaverage: Nicht-Intra-Texturkomplexität bei B-Frames
    mv: für Motion-Vectors verwendete Bits
    fCode: maximale Länge der Motion-Vectors (log2)
    iCount: Anzahl der Intra-Makroblöcke / Anzahl der Makroblöcke
    var: räumliche Komplexität
    mcVar: zeitliche Komplexität
    qComp: auf der Kommandozeile angegebener Wert von qcomp
    isI, isP, isB: is 1 if picture type is I/P/B else 0
    Pi,E: schau in dein Lieblingsmathebuch Functions:
    max(a,b),min(a,b): Maximum / Minimum
    gt(a,b): (greater than) ist 1, falls a>b, ansonsten 0
    lt(a,b): (less than) ist 1, falls a<b, ansonsten 0
    eq(a,b): (equak) ist 1, falls a==b, ansonten 0
    sin, cos, tan, sinh, cosh, tanh, exp, log, abs Benutzerdefinierte Qualität für bestimmte Abschnitte (Durchgang 1/2). Die Optionen haben folgenden Aufbau: <Startframe, Endframe, Qualität[/Startframe, Endframe, Qualität[/...]]>: Qualität 2-31: Quantizer
    Qualität -500-0: Qualitätskorrektur in % anfägnliche Komplexität (Durchgang 1) Gibt an, wie die Quantizer zwischen qmin und qmax gehalten werden (Durchgang 1/2): 0: mit Clipping
    1: benutzt eine schöne ableitbare Funktion (Standard) Schwelle für die Eliminierung von einzelnen Koeffizienten beim Helligkeitsanteil. Bei negativen Werten werden auch die dc-Koeffizienten betrachtet (sollte mindestens -4 or niedriger sein, wenn mit quant=1 encodiert wird): 0: deaktiviert (Standard)
    -4 (JVT-Empfehlung) Schwelle für die Eliminierung von einzelnen Koeffizienten beim Farbanteil. Bei negativen Werten werden auch die dc-Koeffizienten betrachtet (sollte mindestens -4 or niedriger sein, wenn mit quant=1 encodiert wird): 0 deaktiviert (Standard)
    7 (JVT-Empfehlung) Strikte Einhaltung der Standards. 0: deaktiviert (Standardeinstellung)
    1: Nur empfehlenswert, wenn die Ausgabe mit einem MPEG-4 Referenzdekoder dekodiert werden soll.
    -1: Erlaubt nichstandardkonforme YV12-Huffyuv-Encodierung (20% kleinere Dateien, die aber nicht mit dem offiziellen Huffyuv-Codec abgespielt werden können). Datenpartitionierung. Fügt zwei Bytes pro Videopaket hinzu und erhöht die Fehlerresistenz beim Transfer über unzuverlässige Kanäle (z.B. Streaming über's Internet). Videopaketgröße, erhöht die Fehlerresistenz (siehe auch -vdpart): 0: deaktiviert (Standard)
    100-1000: gute Wahl Encodierung zu Graustufenbildern (schneller) (Standard: deaktiviert) DCT-Algorithmus (diskrete Cosinustransformation): 0: automatische Wahl (Standard)
    1: schneller Integeralgorithmus
    2: genauer Integeralgorithmus
    3: mmx
    4: mlib IDCT-Algorithmus (inverse diskrete Cosinustransformation). Anmerkung: All diese IDCT-Algorithmen bestehen die IEEE1180-Tests: 0: automatische Wahl (Standard)
    1: JPEG-Referenzalgorithmus (Integer)
    2: simple
    3: simplemmx
    4: libmpeg2mmx (ungenau, benutze ihn NICHT mit einem keyint > 100)
    5: ps2
    6: mlib
    7: arm Helligkeitsmaskierung. Warnung: Sei vorsichtig! Zu große Werte können desaströse Ergebnisse liefern. Warnung2: Große Werte mögen auf einigen Monitoren gut aussehen, können aber auch schrecklich auf anderen aussehen. 0.0: deaktiviert (Standard)
    0.0-0.3: sinnvoller Bereich Dunkelheitsmaskierung. Warnung: Sei vorsichtig! Zu große Werte können desaströse Ergebnisse liefern. Warnung2: Große Werte mögen auf einigen Monitoren gut aussehen, können aber auch schrecklich auf anderen Monitoren / Fernsehern / TFTs aussehen. 0.0: deaktiviert (Standard)
    0.0-0.3: sinnvoller Bereich Maskierung der zeitlichen Komplexität (Standardwert: 0.0 (deaktiviert)) Maskierung der räumlichen Komplexität. Größere Werte helfen bei Blockartefakten, falls bei der Decodierung kein Filter gegen Blockartefakte eingesetzt wird. Schneide alle schwarzen Balken weg, um eine bessere Qualität zu erzielen: 0.0: deaktiviert (Standard)
    0.0-0.5: sinnvoller Bereich Normalisierte adaptive Quantisierung (experimentell). Wenn adaptive Quantisierung benutzt wird (*_mast), dann wird der durchschnittliche Quantizer pro Makroblock eventuell nicht mehr dem geforderten Bild-Quantizer entsprechen. NAQ versucht dann, den pro Makroblock verwendeten Quantizer anzupassen, um den geforderten Durschnitt zu erreichen. benutze die interlaced DCT YV12: Standard
    422P: für huffyuv (für huffyuv) 0: left prediction
    1: plane/gradient prediction
    2: median prediction benutze quarter pel motion compensation Vergleichsfunktion für motion estimation pre pass Vergleichsfunktion für full pel motion estimation Vergleichsfunktion für sub pel motion estimation 0 (SAD): Summe der absoluten Differenzen, schnell (standard)
    1 (SSE): Summe der quadratischen Fehler
    2 (SATD): Summe der absoluten Hadamard-transformierten Differenzen
    3 (DCT): Summe der absoluten DCT-transformierten Differenzen
    4 (PSNR): Summe der quadratischen Quantisierungsfehler
    5 (BIT): Anzahl der für den Block benötigten Bits
    6 (RD): rate distoration optimal, langsam
    7 (ZERO): 0
    +256: benutze auch die Farbinformation. Funktioniert momentan nicht mit B-Frames. Diamantentyp und -größe für motion estimation pre pass Diamantentyp und -größe für motion estimation. Anmerkung: Die Größe von normalen Diamanten und von shape adaptiven Diamanten sind nicht das gleiche. -3: shape adaptiver (schnell) Diamant mit einer Größe von 3
    -2: shape adaptiver (schnell) Diamant mit einer Größe von 2
    -1: experimentell
     1: normaler Diamant mit Größe 1 (Standard) = EPZS-Typ-Diamant
          0
         000
          0
     2: normaler Diamant mit Größe 2
          0
         000
        00000
         000
          0
    Trellis-Quantisierung. Hiermit wird die optimale Encodierung für jeden 8x8-Block gefunden. Die Trellis-Quantisierung ist im Sinne von 'PSNR vs Bitrate' einfahc die optimale Quantisierung (unter der Annahme, dass durch die IDCT keine Rundungsfehler ins Spiel kommen - was natürlich nicht der Fall ist). Sie findet einfach einen Block für das Minimum von Fehler und lambda * bits. lambda: qp-abhängige Konstante
    bits: für die Encodierung des Blockes benötigte Anzahl Bits
    error: Summe der quadratischen Quantisierungsfehler Menge der motion predictors vom letzten Bild 0: (Standard)
    a: benutzt 2a+1 x 2a+1 MB-Quadrat von MV predictors vom vorherigen Bild motion estimation pre-pass 0: deaktiviert
    1: nur nach I-Frames (Standard)
    2: immer subpel refinement quality (für qpel) (Standardwert: 8). Anmerkung: Diese Einstellung hat eine signifikante Auswirkung auf die Geschwindigkeit. Gibt den maximalen Signal-zu-Rauschabstand (peak signal to noise ratio) für das komlpette Video nach dem Encodieren aus und speichert die psnr-Werte für jedes Bild in der Datei 'psnr_012345.log'. benutze MPEG-Quantizer anstelle der H.263-Quantizer (Standard: deaktiviert = benutze H.263-Quantizer)

-noskip
    Verwerfe keine Bilder.

-o <Dateiname>
    Schreibt in die angegebene Datei anstatt in 'test.avi'.

-oac <Codecname>
    Encodiere Audio mit dem angegebenen Codec. Mit -ovc help erhälst du eine Liste verfügbarer Codecs (kein Standardwert vorhanden). BEISPIEL: kein Encodieren, sondern nur Kopie des Streams encodiere in unkomprimiertes PCM encodiere nach MP3 (mit Lame)

-of <Format> (BETA-CODE!)
    Gib in dem angegebenen Format aus. Mit -of help bekommst du eine Liste vorhandener Formate. BEISPIELE: Gib ein AVI aus (Standard). Gib ein MPEG aus.

-ofps <fps>
    Die Ausgabedatei wird eine andere Anzahl Bilde pro Sekunde haben als die Quelldatei. Diese Option MUSS gesetzt werden, wenn eine Quelldatei mit variabler FPS (ASF, einige MOV) oder ein progressiver Film (29.97fps telecined MPEG) encodiert wird.

-ovc <Codecname>
    Encodiere Video mit dem angegebenen Codec. Mit -ovc help erhälst du eine Liste verfügbarer Codecs (kein Standardwert vorhanden). BEISPIEL: kein Encodieren, sondern nur Kopie des Streams encodiere mit DivX4/DivX5 encodiere zu unkomprimierten RGB24-Bildern encodiere mit einem Codec aus der libavcodec

-passlogfile <Dateiname>
    Wenn mit zwei Durchgängen encodiert wird, dann schreibt MEncoder die Informationen des ersten Durchgangs in die angegebene Datei und nicht nach divx2pass.log.

-skiplimit <Wert>
    Maximale Anzahl ausgelassener Bilder nach einem nicht ausgelassenen (mit -noskiplimit gibt es ein solches Limit nicht).

-v, --verbose
    Aktiviert die ausführliche Ausgabe (mehrere -v bedeuten mehr Meldungen). nur einige Informationen (Standard) grundlegende Debuginformationen, AVI-Header, Funktionswerte (init debug) Ausgabe von AVI-Indizes, gelesenen Blöcken, mehr Debuginformationen (player debug) Gibt alles, was mit Eingabeparsersn zu tun hat aus (parser debug)

-vobsubout <Basisname>
    Gibt den Basisnamen für die Ausgabe der .idx und .sub-Dateien. Damit wird das Rendern der Untertitel im encodierten Film deaktiviert, und die Untertitel werden stattdessen in eine VOBsub-Datei umgeleitet.

-vobsuboutindex <Index>
    Gibt den Index der ausgegebenen VOBsub-Untertitel an (Standardwert: 0).

-vobsuboutid <Sprach-ID>
    Gibt den zweibuchstabigen Sprachcode der Untertitel an. Dieser Wert überschreibt, was von der DVD oder der .ifo-Datei gelesen wurde.

-xvidencopts <option1:option2:...>
    Wenn mit XviD encodiert wird, können hier die Parameter dafür angegeben werden.
    Es gibt drei Modi: konstante Bitrate (CBR), feste Quantizer und Encodieren in zwei Durchgängen.
    Verfügbare Optionen sind: Gibt die Nummer des Durchgangs an. Setzt die zu benutzende Bitrate in kbit/s an, wenn Wert < 16000 ist, oder in bit/s, wenn Wert > 16000 ist (nur bei CBR oder bei zwei Durchgängen, Standardwert: 687 kbit/s). Aktiviert den Modus mit festen Quantizern und gibt den zu benutzenden Quantizer an. Gibt die Qualität der Bewegungserkennung an (Standardwert: 4). Benutzt vier Motion-Vectors pro Makroblock, was eine bessere Kompression auf Kosten der Encodiergeschwindigkeit bringen kann (standardmäßig aus). Gibt an, wie schnell die Bitratenkontrolle reagiert. Niedrigere Werte stehen für schnellere Reaktion. Zeitraum zum Erreichen des geforderten Durchschnitts. Größe des Bitratenkontrollpuffers minimale und maximale Quantizer für alle Bilder (Standard: 2-31 im CBR-Modus)
    minimale und maximale Quantizer für I-/P-Frames (Standard: 2-31/2-31 im Modus mit zwei Durchgängen) minimale Anzahl Bilder zwischen zwei Schlüsselbildern (Standardwert 0, nur im Modus mit zwei Durchgängen) maximale Anzahl Bilder zwischen zwei Schlüsselbildern (Standardwert 10 * FPS, nur im Modus mit zwei Durchgängen) benutze MPEG-Quantizer anstelle von H.263-Quantizern (Standard: aus) Entscheide für jedes Bild, ob MPEG- oder H.263-Quantizer zu verwenden sind (standardmäßig aus, nur beim Modus mit zwei Durchgängen). Benutze einen Algorithmus zur Helligkeitsmaskierung (standardmäßig aus, scheint buggy zu sein) Speichert während des ersten Durchgangs die Motion-Vectors in einer Datei und benutzt diese Datei beim zweitn Durchgang (standardmä-ig aus, scheint buggy zu sein, nur beim Modus mit zwei Durchgängen). Gibt die temporäre Datei an, die bei 'hintedme' benutzt wird (Standard: ./xvid_hint_me.dat, nur beim Modus mit zwei Durchgängen) Speichert Bildstatistiken in xvid.dbg (standardmäßig aus).
    Hierbei handelt es sich NICHT um die Kontrolldatei für den Modus mit zwei Durchgängen. (Standardwert 0, nur im Modus mit zwei Durchgängen) (Standardwert 10, nur im Modus mit zwei Durchgängen) (Standardwert 30, nur im Modus mit zwei Durchgängen)

DATEIEN

/etc/mplayer/mplayer.conf
    systemweite Einstellungen

~/.mplayer/config
    Benutzereinstellungen

~/.mplayer/input.conf
    Eingabebelegungen (siehe '-input keylist' für eine vollständige Auflistung aller Tastennamen)

~/.mplayer/gui.conf
    GUI-Konfigurationsdatei

~/.mplayer/gui.pl
    GUI-Playliste

~/.mplayer/font/
    Schriftartenverzeichnis (es müssen sich eine Datei font.desc und Dateien mit der Erweiterung .RAW in dem Verzeichnis befinden)

~/.mplayer/DVDkeys/
    geknackte CSS-Schlüssel
Untertiteldateien werden in dieser Reihenfolge gesucht (bei z.B. einem
    Film namens /mnt/cdrom/film.avi): /mnt/cdrom/film.sub
    ~/.mplayer/sub/film.sub
    ~/.mplayer/default.sub

BEISPIELE

Simples Kommando für DVD
    mplayer vd://1

Audio auf japanisch mit englischen Untertiteln
    mplayer vd://1 -alang ja -slang en

Spiele nur Kapitel 5, 6, 7
    mplayer vd://1 -chapter 5-7

bei DVDs mit mehreren Kameraperspektiven
    mplayer vd://1 -dvdangle 2

Abspielen von einem anderen DVD-Gerät
    mplayer vd://1 -dvd-device /dev/dvd2

Abspielen mit alter DVD-Unterstützung (VOB)
    mplayer -dvdauth /dev/dvd /mnt/dvd/VIDEO_TS/VTS_02_4.VOB

Streaming per HTTP
    mplayer http://mplayer.hq/example.avi

Streaming mit RTSP
    mplayer rtsp://server.example.com/streamName

Konvertiere Untertitel in's MPsub-Format (nach ./dump.mpsub)
    mplayer dummy.avi -sub source.sub -dumpmpsub

Lies vom Standard-V4L-Gerät
    mplayer -tv on:driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Encodiere Titel Nr. 2 der DVD, aber nur ausgewählte Kapitel
    mencoder vd://2 -chapter 10-15 -o title2.avi -oac copy -ovc divx4

Encodiere Titel Nr. 2 der DVD und skaliere auf 640x480
    mencoder vd://2 -vf scale=640:480 -o title2.avi -oac copy -ovc divx4

Encodiere Titel Nr. 2 der DVD und skaliere auf 512xHHH unter Beibehaltung des Höhen-/Breitenverhältnisses
    mencoder vd://2 -vf scale -zoom -xy 512 -o title2.avi -oac copy -ovc divx4

Das gleiche, aber mit libavcodecs MPEG-4-Codec
    mencoder vd://2 -o title2.avi -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1800 -oac copy

Das gleiche, aber mit libavcodecs MJPEG-Codec
    mencoder vd://2 -o titel2.avi -ovc lavc -lavcopts vcodec=mjpeg:vhq:vbitrate=1800 -oac copy

Encodiere alls .jpg-Dateien im aktuellen Verzeichnis
    mencoder \*.jpg -mf on:fps=25 -o output.avi -ovc divx4

Encodiere das Fernsehsignal
    mencoder -tv on:driver=v4l:width=640:height=480 -o tv.avi -ovc rawrgb

Encodiere und lies von einer Pipe
    rar p test-SVCD.rar | mencoder -ovc divx4 -divx4opts br=800 -ofps 24 -- -

Encodiere mehrere .vob-Dateien
    cat *.vob | mencoder <options> -

FEHLER/BUGS
Berichte uns davon, wenn du einen findest, sei aber sicher, daß Du vorher die ganze Dokumentation gelesen hast. Viele Fehler sind das Resultat eines fehlerhaften Setups oder falscher Benutzung der Parameter. Die Sektion über Fehlerberichterstattung in der Dokumentation (DOCS/de/bugreports.html) beschreibt, wie man nutzbringende Fehlerberichte erstellt.

AUTOREN
MPlayer wurde ursprünglich von Arpad Gereöffy geschrieben. Siehe Datei AUTHORS für eine Liste einiger der vielen anderen Beitragenden.

MPlayer is (C) 2000-2004 The MPlayer Team

Diese Manpage wurde zum größten Teil von Gabucino, Diego Biurrun und Jonas Jermann geschrieben und von Moritz Bunkus und Sebastian Krämer ins Deutsche übersetzt. Sie wird gepflegt von Sebastian Krämer. Schicke Mails die Manpage betreffend bitte an die MPlayer-DOCS-Mailingliste.